﻿module("VOICE")

distances = {}

distances.patterns = {
	L"1_point",
	L"2_point",
	L"3_point",
	L"3_quarter_of_a_mile-e",
	L"3_quarter_of_a_mile-m",
	L"4_point",
	L"5_point",
	L"6_point",
	L"7_point",
	L"8_point",
	L"9_point",
	L"a_quarter_mile-e",
	L"a_quarter_mile-m",
	L"after-1",
	L"after-10",
	L"after-100",
	L"after-1000",
	L"after-11",
	L"after-12",
	L"after-13",
	L"after-14",
	L"after-15",
	L"after-16",
	L"after-17",
	L"after-18",
	L"after-19",
	L"after-1_pt",
	L"after-2",
	L"after-20",
	L"after-200",
	L"after-2_pt",
	L"after-3",
	L"after-30",
	L"after-300",
	L"after-3_pt",
	L"after-4",
	L"after-40",
	L"after-400",
	L"after-4_pt",
	L"after-5",
	L"after-50",
	L"after-500",
	L"after-5_pt",
	L"after-6",
	L"after-60",
	L"after-600",
	L"after-6_pt",
	L"after-7",
	L"after-70",
	L"after-700",
	L"after-7_pt",
	L"after-8",
	L"after-80",
	L"after-800",
	L"after-8_pt",
	L"after-9",
	L"after-90",
	L"after-900",
	L"after-9_pt",
	L"after-m-1",
	L"after-m-10",
	L"after-m-100",
	L"after-m-1000",
	L"after-m-11",
	L"after-m-12",
	L"after-m-13",
	L"after-m-14",
	L"after-m-15",
	L"after-m-16",
	L"after-m-17",
	L"after-m-18",
	L"after-m-19",
	L"after-m-1_pt",
	L"after-m-2",
	L"after-m-20",
	L"after-m-200",
	L"after-m-2_pt",
	L"after-m-3",
	L"after-m-30",
	L"after-m-300",
	L"after-m-3_pt",
	L"after-m-4",
	L"after-m-40",
	L"after-m-400",
	L"after-m-4_pt",
	L"after-m-5",
	L"after-m-50",
	L"after-m-500",
	L"after-m-5_pt",
	L"after-m-6",
	L"after-m-60",
	L"after-m-600",
	L"after-m-6_pt",
	L"after-m-7",
	L"after-m-70",
	L"after-m-700",
	L"after-m-7_pt",
	L"after-m-8",
	L"after-m-80",
	L"after-m-800",
	L"after-m-8_pt",
	L"after-m-9",
	L"after-m-90",
	L"after-m-900",
	L"after-m-9_pt",
	L"after-m-mi-3q",
	L"after-m-mi-aq",
	L"after-m-mi-hf",
	L"after-m-mt500",
	L"after-m-pt",
	L"after-m-x1",
	L"after-m-x2",
	L"after-m-x3",
	L"after-m-x4",
	L"after-m-x5",
	L"after-m-x6",
	L"after-m-x7",
	L"after-m-x8",
	L"after-m-x9",
	L"after-mi-3q",
	L"after-mi-aq",
	L"after-mi-hf",
	L"after-mt500",
	L"after-pt",
	L"after-x1",
	L"after-x2",
	L"after-x3",
	L"after-x4",
	L"after-x5",
	L"after-x6",
	L"after-x7",
	L"after-x8",
	L"after-x9",
	L"and_10",
	L"and_20",
	L"and_30",
	L"and_40",
	L"and_50",
	L"and_60",
	L"and_70",
	L"and_80",
	L"and_90",
	L"drive-1",
	L"drive-10",
	L"drive-100",
	L"drive-1000",
	L"drive-11",
	L"drive-12",
	L"drive-13",
	L"drive-14",
	L"drive-15",
	L"drive-16",
	L"drive-17",
	L"drive-18",
	L"drive-19",
	L"drive-1_pt",
	L"drive-2",
	L"drive-20",
	L"drive-200",
	L"drive-2_pt",
	L"drive-3",
	L"drive-30",
	L"drive-300",
	L"drive-3_pt",
	L"drive-4",
	L"drive-40",
	L"drive-400",
	L"drive-4_pt",
	L"drive-5",
	L"drive-50",
	L"drive-500",
	L"drive-5_pt",
	L"drive-6",
	L"drive-60",
	L"drive-600",
	L"drive-6_pt",
	L"drive-7",
	L"drive-70",
	L"drive-700",
	L"drive-7_pt",
	L"drive-8",
	L"drive-80",
	L"drive-800",
	L"drive-8_pt",
	L"drive-9",
	L"drive-90",
	L"drive-900",
	L"drive-9_pt",
	L"drive-mi-3q",
	L"drive-mi-aq",
	L"drive-mi-hf",
	L"drive-mt500",
	L"drive-pt",
	L"drive-x1",
	L"drive-x2",
	L"drive-x3",
	L"drive-x4",
	L"drive-x5",
	L"drive-x6",
	L"drive-x7",
	L"drive-x8",
	L"drive-x9",
	L"feet-e-100",
	L"feet-e-1000",
	L"feet-e-50",
	L"feet-e-x50",
	L"feet-m-100",
	L"feet-m-1000",
	L"feet-m-50",
	L"feet-m-x50",
	L"half_mile-e",
	L"half_mile-m",
	L"kilometer-2-e-1",
	L"kilometer-e-1",
	L"kilometer-m-1",
	L"kilometers-2-e-10",
	L"kilometers-2-e-100",
	L"kilometers-2-e-11",
	L"kilometers-2-e-12",
	L"kilometers-2-e-13",
	L"kilometers-2-e-14",
	L"kilometers-2-e-15",
	L"kilometers-2-e-16",
	L"kilometers-2-e-17",
	L"kilometers-2-e-18",
	L"kilometers-2-e-19",
	L"kilometers-2-e-2",
	L"kilometers-2-e-20",
	L"kilometers-2-e-3",
	L"kilometers-2-e-30",
	L"kilometers-2-e-4",
	L"kilometers-2-e-40",
	L"kilometers-2-e-5",
	L"kilometers-2-e-50",
	L"kilometers-2-e-6",
	L"kilometers-2-e-60",
	L"kilometers-2-e-7",
	L"kilometers-2-e-70",
	L"kilometers-2-e-8",
	L"kilometers-2-e-80",
	L"kilometers-2-e-9",
	L"kilometers-2-e-90",
	L"kilometers-2-e-mt500",
	L"kilometers-2-e-pt_1",
	L"kilometers-2-e-pt_2",
	L"kilometers-2-e-pt_3",
	L"kilometers-2-e-pt_4",
	L"kilometers-2-e-pt_5",
	L"kilometers-2-e-pt_6",
	L"kilometers-2-e-pt_7",
	L"kilometers-2-e-pt_8",
	L"kilometers-2-e-pt_9",
	L"kilometers-2-e-x10",
	L"kilometers-2-e-x20",
	L"kilometers-2-e-x30",
	L"kilometers-2-e-x40",
	L"kilometers-2-e-x50",
	L"kilometers-2-e-x60",
	L"kilometers-2-e-x70",
	L"kilometers-2-e-x80",
	L"kilometers-2-e-x90",
	L"kilometers-e-10",
	L"kilometers-e-100",
	L"kilometers-e-11",
	L"kilometers-e-12",
	L"kilometers-e-13",
	L"kilometers-e-14",
	L"kilometers-e-15",
	L"kilometers-e-16",
	L"kilometers-e-17",
	L"kilometers-e-18",
	L"kilometers-e-19",
	L"kilometers-e-2",
	L"kilometers-e-20",
	L"kilometers-e-3",
	L"kilometers-e-30",
	L"kilometers-e-4",
	L"kilometers-e-40",
	L"kilometers-e-5",
	L"kilometers-e-50",
	L"kilometers-e-6",
	L"kilometers-e-60",
	L"kilometers-e-7",
	L"kilometers-e-70",
	L"kilometers-e-8",
	L"kilometers-e-80",
	L"kilometers-e-9",
	L"kilometers-e-90",
	L"kilometers-e-mt500",
	L"kilometers-e-pt_1",
	L"kilometers-e-pt_2",
	L"kilometers-e-pt_3",
	L"kilometers-e-pt_4",
	L"kilometers-e-pt_5",
	L"kilometers-e-pt_6",
	L"kilometers-e-pt_7",
	L"kilometers-e-pt_8",
	L"kilometers-e-pt_9",
	L"kilometers-e-x10",
	L"kilometers-e-x20",
	L"kilometers-e-x30",
	L"kilometers-e-x40",
	L"kilometers-e-x50",
	L"kilometers-e-x60",
	L"kilometers-e-x70",
	L"kilometers-e-x80",
	L"kilometers-e-x90",
	L"kilometers-m-10",
	L"kilometers-m-100",
	L"kilometers-m-11",
	L"kilometers-m-12",
	L"kilometers-m-13",
	L"kilometers-m-14",
	L"kilometers-m-15",
	L"kilometers-m-16",
	L"kilometers-m-17",
	L"kilometers-m-18",
	L"kilometers-m-19",
	L"kilometers-m-2",
	L"kilometers-m-20",
	L"kilometers-m-3",
	L"kilometers-m-30",
	L"kilometers-m-4",
	L"kilometers-m-40",
	L"kilometers-m-5",
	L"kilometers-m-50",
	L"kilometers-m-6",
	L"kilometers-m-60",
	L"kilometers-m-7",
	L"kilometers-m-70",
	L"kilometers-m-8",
	L"kilometers-m-80",
	L"kilometers-m-9",
	L"kilometers-m-90",
	L"kilometers-m-mt500",
	L"kilometers-m-pt_1",
	L"kilometers-m-pt_2",
	L"kilometers-m-pt_3",
	L"kilometers-m-pt_4",
	L"kilometers-m-pt_5",
	L"kilometers-m-pt_6",
	L"kilometers-m-pt_7",
	L"kilometers-m-pt_8",
	L"kilometers-m-pt_9",
	L"kilometers-m-x10",
	L"kilometers-m-x20",
	L"kilometers-m-x30",
	L"kilometers-m-x40",
	L"kilometers-m-x50",
	L"kilometers-m-x60",
	L"kilometers-m-x70",
	L"kilometers-m-x80",
	L"kilometers-m-x90",
	L"meters-e-10",
	L"meters-e-100",
	L"meters-e-20",
	L"meters-e-30",
	L"meters-e-40",
	L"meters-e-50",
	L"meters-e-60",
	L"meters-e-70",
	L"meters-e-80",
	L"meters-e-90",
	L"meters-e-x10",
	L"meters-e-x20",
	L"meters-e-x30",
	L"meters-e-x40",
	L"meters-e-x50",
	L"meters-e-x60",
	L"meters-e-x70",
	L"meters-e-x80",
	L"meters-e-x90",
	L"meters-m-10",
	L"meters-m-100",
	L"meters-m-20",
	L"meters-m-30",
	L"meters-m-40",
	L"meters-m-50",
	L"meters-m-60",
	L"meters-m-70",
	L"meters-m-80",
	L"meters-m-90",
	L"meters-m-x10",
	L"meters-m-x20",
	L"meters-m-x30",
	L"meters-m-x40",
	L"meters-m-x50",
	L"meters-m-x60",
	L"meters-m-x70",
	L"meters-m-x80",
	L"meters-m-x90",
	L"mile-2-e-1",
	L"mile-e-1",
	L"mile-m-1",
	L"miles-e-10",
	L"miles-e-100",
	L"miles-e-11",
	L"miles-e-12",
	L"miles-e-13",
	L"miles-e-14",
	L"miles-e-15",
	L"miles-e-16",
	L"miles-e-17",
	L"miles-e-18",
	L"miles-e-19",
	L"miles-e-2",
	L"miles-e-20",
	L"miles-e-3",
	L"miles-e-30",
	L"miles-e-4",
	L"miles-e-40",
	L"miles-e-5",
	L"miles-e-50",
	L"miles-e-6",
	L"miles-e-60",
	L"miles-e-7",
	L"miles-e-70",
	L"miles-e-8",
	L"miles-e-80",
	L"miles-e-9",
	L"miles-e-90",
	L"miles-e-mt500",
	L"miles-e-pt_1",
	L"miles-e-pt_2",
	L"miles-e-pt_3",
	L"miles-e-pt_4",
	L"miles-e-pt_5",
	L"miles-e-pt_6",
	L"miles-e-pt_7",
	L"miles-e-pt_9",
	L"miles-e-x10",
	L"miles-e-x20",
	L"miles-e-x30",
	L"miles-e-x40",
	L"miles-e-x50",
	L"miles-e-x60",
	L"miles-e-x70",
	L"miles-e-x80",
	L"miles-e-x90",
	L"miles-m-10",
	L"miles-m-100",
	L"miles-m-11",
	L"miles-m-12",
	L"miles-m-13",
	L"miles-m-14",
	L"miles-m-15",
	L"miles-m-16",
	L"miles-m-17",
	L"miles-m-18",
	L"miles-m-19",
	L"miles-m-2",
	L"miles-m-20",
	L"miles-m-3",
	L"miles-m-30",
	L"miles-m-4",
	L"miles-m-40",
	L"miles-m-5",
	L"miles-m-50",
	L"miles-m-6",
	L"miles-m-60",
	L"miles-m-7",
	L"miles-m-70",
	L"miles-m-8",
	L"miles-m-80",
	L"miles-m-9",
	L"miles-m-90",
	L"miles-m-mt500",
	L"miles-m-pt_1",
	L"miles-m-pt_2",
	L"miles-m-pt_3",
	L"miles-m-pt_4",
	L"miles-m-pt_5",
	L"miles-m-pt_6",
	L"miles-m-pt_7",
	L"miles-m-pt_8",
	L"miles-m-pt_9",
	L"miles-m-x10",
	L"miles-m-x20",
	L"miles-m-x30",
	L"miles-m-x40",
	L"miles-m-x50",
	L"miles-m-x60",
	L"miles-m-x70",
	L"miles-m-x80",
	L"miles-m-x90",
	L"more_than_500",
	L"point_1",
	L"point_2",
	L"point_3",
	L"point_4",
	L"point_4_miles-e",
	L"point_4_miles-m",
	L"point_5",
	L"point_6",
	L"point_6_miles-e",
	L"point_6_miles-m",
	L"point_7",
	L"point_8",
	L"point_9",
	L"point_9_miles-e",
	L"point_9_miles-m",
	L"trip-1",
	L"trip-10",
	L"trip-100",
	L"trip-1000",
	L"trip-11",
	L"trip-12",
	L"trip-13",
	L"trip-14",
	L"trip-15",
	L"trip-16",
	L"trip-17",
	L"trip-18",
	L"trip-19",
	L"trip-1_pt",
	L"trip-2",
	L"trip-20",
	L"trip-200",
	L"trip-2_pt",
	L"trip-3",
	L"trip-30",
	L"trip-300",
	L"trip-3_pt",
	L"trip-4",
	L"trip-40",
	L"trip-400",
	L"trip-4_pt",
	L"trip-5",
	L"trip-50",
	L"trip-500",
	L"trip-5_pt",
	L"trip-6",
	L"trip-60",
	L"trip-600",
	L"trip-6_pt",
	L"trip-7",
	L"trip-70",
	L"trip-700",
	L"trip-7_pt",
	L"trip-8",
	L"trip-80",
	L"trip-800",
	L"trip-8_pt",
	L"trip-9",
	L"trip-90",
	L"trip-900",
	L"trip-9_pt",
	L"trip-mi-3q",
	L"trip-mi-aq",
	L"trip-mi-hf",
	L"trip-mt500",
	L"trip-pt",
	L"trip-x1",
	L"trip-x2",
	L"trip-x3",
	L"trip-x4",
	L"trip-x5",
	L"trip-x6",
	L"trip-x7",
	L"trip-x8",
	L"trip-x9",
	L"x20",
	L"x30",
	L"x40",
	L"x50",
	L"x60",
	L"x70",
	L"x80",
	L"x90",
	L"yards-e-10",
	L"yards-e-100",
	L"yards-e-20",
	L"yards-e-30",
	L"yards-e-40",
	L"yards-e-50",
	L"yards-e-60",
	L"yards-e-70",
	L"yards-e-80",
	L"yards-e-90",
	L"yards-e-x10",
	L"yards-e-x20",
	L"yards-e-x30",
	L"yards-e-x40",
	L"yards-e-x50",
	L"yards-e-x60",
	L"yards-e-x70",
	L"yards-e-x80",
	L"yards-e-x90",
	L"yards-m-10",
	L"yards-m-100",
	L"yards-m-20",
	L"yards-m-30",
	L"yards-m-40",
	L"yards-m-50",
	L"yards-m-60",
	L"yards-m-70",
	L"yards-m-80",
	L"yards-m-90",
	L"yards-m-x10",
	L"yards-m-x20",
	L"yards-m-x30",
	L"yards-m-x40",
	L"yards-m-x50",
	L"yards-m-x60",
	L"yards-m-x70",
	L"yards-m-x80",
	L"yards-m-x90",
}

distances.meters = {
	10, "\15\130\117\0\61\130\98\0\129\16\130\98\0\131\119\130\98\0\0\0\0",
	20, "\29\130\119\0\75\130\100\0\129\30\130\100\0\132\5\130\100\0\0\0\0",
	30, "\33\130\120\0\79\130\101\0\129\34\130\101\0\132\9\130\101\0\0\0\0",
	40, "\37\130\121\0\83\130\102\0\129\38\130\102\0\132\13\130\102\0\0\0\0",
	50, "\41\130\122\0\87\130\103\0\129\42\130\103\0\132\17\130\103\0\0\0\0",
	60, "\45\130\123\0\91\130\104\0\129\46\130\104\0\132\21\130\104\0\0\0\0",
	70, "\49\130\124\0\95\130\105\0\129\50\130\105\0\132\25\130\105\0\0\0\0",
	80, "\53\130\125\0\99\130\106\0\129\54\130\106\0\132\29\130\106\0\0\0\0",
	90, "\57\130\126\0\103\130\107\0\129\58\130\107\0\132\33\130\107\0\0\0\0",
	100, "\16\130\118\0\62\130\99\0\129\17\130\99\0\131\120\130\99\0\0\0\0",
	110, "\16\129\6\130\127\0\62\129\6\130\108\0\129\17\129\6\130\108\0\131\120\129\6\130\108\0\0\0\0",
	120, "\16\129\7\131\0\0\62\129\7\130\109\0\129\17\129\7\130\109\0\131\120\129\7\130\109\0\0\0\0",
	130, "\16\129\8\131\1\0\62\129\8\130\110\0\129\17\129\8\130\110\0\131\120\129\8\130\110\0\0\0\0",
	140, "\16\129\9\131\2\0\62\129\9\130\111\0\129\17\129\9\130\111\0\131\120\129\9\130\111\0\0\0\0",
	150, "\16\129\10\131\3\0\62\129\10\130\112\0\129\17\129\10\130\112\0\131\120\129\10\130\112\0\0\0\0",
	160, "\16\129\11\131\4\0\62\129\11\130\113\0\129\17\129\11\130\113\0\131\120\129\11\130\113\0\0\0\0",
	170, "\16\129\12\131\5\0\62\129\12\130\114\0\129\17\129\12\130\114\0\131\120\129\12\130\114\0\0\0\0",
	180, "\16\129\13\131\6\0\62\129\13\130\115\0\129\17\129\13\130\115\0\131\120\129\13\130\115\0\0\0\0",
	190, "\16\129\14\131\7\0\62\129\14\130\116\0\129\17\129\14\130\116\0\131\120\129\14\130\116\0\0\0\0",
	200, "\30\130\118\0\76\130\99\0\129\31\130\99\0\132\6\130\99\0\0\0\0",
	210, "\30\129\6\130\127\0\76\129\6\130\108\0\129\31\129\6\130\108\0\132\6\129\6\130\108\0\0\0\0",
	220, "\30\129\7\131\0\0\76\129\7\130\109\0\129\31\129\7\130\109\0\132\6\129\7\130\109\0\0\0\0",
	230, "\30\129\8\131\1\0\76\129\8\130\110\0\129\31\129\8\130\110\0\132\6\129\8\130\110\0\0\0\0",
	240, "\30\129\9\131\2\0\76\129\9\130\111\0\129\31\129\9\130\111\0\132\6\129\9\130\111\0\0\0\0",
	250, "\30\129\10\131\3\0\76\129\10\130\112\0\129\31\129\10\130\112\0\132\6\129\10\130\112\0\0\0\0",
	260, "\30\129\11\131\4\0\76\129\11\130\113\0\129\31\129\11\130\113\0\132\6\129\11\130\113\0\0\0\0",
	270, "\30\129\12\131\5\0\76\129\12\130\114\0\129\31\129\12\130\114\0\132\6\129\12\130\114\0\0\0\0",
	280, "\30\129\13\131\6\0\76\129\13\130\115\0\129\31\129\13\130\115\0\132\6\129\13\130\115\0\0\0\0",
	290, "\30\129\14\131\7\0\76\129\14\130\116\0\129\31\129\14\130\116\0\132\6\129\14\130\116\0\0\0\0",
	300, "\34\130\118\0\80\130\99\0\129\35\130\99\0\132\10\130\99\0\0\0\0",
	310, "\34\129\6\130\127\0\80\129\6\130\108\0\129\35\129\6\130\108\0\132\10\129\6\130\108\0\0\0\0",
	320, "\34\129\7\131\0\0\80\129\7\130\109\0\129\35\129\7\130\109\0\132\10\129\7\130\109\0\0\0\0",
	330, "\34\129\8\131\1\0\80\129\8\130\110\0\129\35\129\8\130\110\0\132\10\129\8\130\110\0\0\0\0",
	340, "\34\129\9\131\2\0\80\129\9\130\111\0\129\35\129\9\130\111\0\132\10\129\9\130\111\0\0\0\0",
	350, "\34\129\10\131\3\0\80\129\10\130\112\0\129\35\129\10\130\112\0\132\10\129\10\130\112\0\0\0\0",
	360, "\34\129\11\131\4\0\80\129\11\130\113\0\129\35\129\11\130\113\0\132\10\129\11\130\113\0\0\0\0",
	370, "\34\129\12\131\5\0\80\129\12\130\114\0\129\35\129\12\130\114\0\132\10\129\12\130\114\0\0\0\0",
	380, "\34\129\13\131\6\0\80\129\13\130\115\0\129\35\129\13\130\115\0\132\10\129\13\130\115\0\0\0\0",
	390, "\34\129\14\131\7\0\80\129\14\130\116\0\129\35\129\14\130\116\0\132\10\129\14\130\116\0\0\0\0",
	400, "\38\130\118\0\84\130\99\0\129\39\130\99\0\132\14\130\99\0\0\0\0",
	410, "\38\129\6\130\127\0\84\129\6\130\108\0\129\39\129\6\130\108\0\132\14\129\6\130\108\0\0\0\0",
	420, "\38\129\7\131\0\0\84\129\7\130\109\0\129\39\129\7\130\109\0\132\14\129\7\130\109\0\0\0\0",
	430, "\38\129\8\131\1\0\84\129\8\130\110\0\129\39\129\8\130\110\0\132\14\129\8\130\110\0\0\0\0",
	440, "\38\129\9\131\2\0\84\129\9\130\111\0\129\39\129\9\130\111\0\132\14\129\9\130\111\0\0\0\0",
	450, "\38\129\10\131\3\0\84\129\10\130\112\0\129\39\129\10\130\112\0\132\14\129\10\130\112\0\0\0\0",
	460, "\38\129\11\131\4\0\84\129\11\130\113\0\129\39\129\11\130\113\0\132\14\129\11\130\113\0\0\0\0",
	470, "\38\129\12\131\5\0\84\129\12\130\114\0\129\39\129\12\130\114\0\132\14\129\12\130\114\0\0\0\0",
	480, "\38\129\13\131\6\0\84\129\13\130\115\0\129\39\129\13\130\115\0\132\14\129\13\130\115\0\0\0\0",
	490, "\38\129\14\131\7\0\84\129\14\130\116\0\129\39\129\14\130\116\0\132\14\129\14\130\116\0\0\0\0",
	500, "\42\130\118\0\88\130\99\0\129\43\130\99\0\132\18\130\99\0\0\0\0",
	510, "\42\129\6\130\127\0\88\129\6\130\108\0\129\43\129\6\130\108\0\132\18\129\6\130\108\0\0\0\0",
	520, "\42\129\7\131\0\0\88\129\7\130\109\0\129\43\129\7\130\109\0\132\18\129\7\130\109\0\0\0\0",
	530, "\42\129\8\131\1\0\88\129\8\130\110\0\129\43\129\8\130\110\0\132\18\129\8\130\110\0\0\0\0",
	540, "\42\129\9\131\2\0\88\129\9\130\111\0\129\43\129\9\130\111\0\132\18\129\9\130\111\0\0\0\0",
	550, "\42\129\10\131\3\0\88\129\10\130\112\0\129\43\129\10\130\112\0\132\18\129\10\130\112\0\0\0\0",
	560, "\42\129\11\131\4\0\88\129\11\130\113\0\129\43\129\11\130\113\0\132\18\129\11\130\113\0\0\0\0",
	570, "\42\129\12\131\5\0\88\129\12\130\114\0\129\43\129\12\130\114\0\132\18\129\12\130\114\0\0\0\0",
	580, "\42\129\13\131\6\0\88\129\13\130\115\0\129\43\129\13\130\115\0\132\18\129\13\130\115\0\0\0\0",
	590, "\42\129\14\131\7\0\88\129\14\130\116\0\129\43\129\14\130\116\0\132\18\129\14\130\116\0\0\0\0",
	600, "\46\130\118\0\92\130\99\0\129\47\130\99\0\132\22\130\99\0\0\0\0",
	610, "\46\129\6\130\127\0\92\129\6\130\108\0\129\47\129\6\130\108\0\132\22\129\6\130\108\0\0\0\0",
	620, "\46\129\7\131\0\0\92\129\7\130\109\0\129\47\129\7\130\109\0\132\22\129\7\130\109\0\0\0\0",
	630, "\46\129\8\131\1\0\92\129\8\130\110\0\129\47\129\8\130\110\0\132\22\129\8\130\110\0\0\0\0",
	640, "\46\129\9\131\2\0\92\129\9\130\111\0\129\47\129\9\130\111\0\132\22\129\9\130\111\0\0\0\0",
	650, "\46\129\10\131\3\0\92\129\10\130\112\0\129\47\129\10\130\112\0\132\22\129\10\130\112\0\0\0\0",
	660, "\46\129\11\131\4\0\92\129\11\130\113\0\129\47\129\11\130\113\0\132\22\129\11\130\113\0\0\0\0",
	670, "\46\129\12\131\5\0\92\129\12\130\114\0\129\47\129\12\130\114\0\132\22\129\12\130\114\0\0\0\0",
	680, "\46\129\13\131\6\0\92\129\13\130\115\0\129\47\129\13\130\115\0\132\22\129\13\130\115\0\0\0\0",
	690, "\46\129\14\131\7\0\92\129\14\130\116\0\129\47\129\14\130\116\0\132\22\129\14\130\116\0\0\0\0",
	700, "\50\130\118\0\96\130\99\0\129\51\130\99\0\132\26\130\99\0\0\0\0",
	710, "\50\129\6\130\127\0\96\129\6\130\108\0\129\51\129\6\130\108\0\132\26\129\6\130\108\0\0\0\0",
	720, "\50\129\7\131\0\0\96\129\7\130\109\0\129\51\129\7\130\109\0\132\26\129\7\130\109\0\0\0\0",
	730, "\50\129\8\131\1\0\96\129\8\130\110\0\129\51\129\8\130\110\0\132\26\129\8\130\110\0\0\0\0",
	740, "\50\129\9\131\2\0\96\129\9\130\111\0\129\51\129\9\130\111\0\132\26\129\9\130\111\0\0\0\0",
	750, "\50\129\10\131\3\0\96\129\10\130\112\0\129\51\129\10\130\112\0\132\26\129\10\130\112\0\0\0\0",
	760, "\50\129\11\131\4\0\96\129\11\130\113\0\129\51\129\11\130\113\0\132\26\129\11\130\113\0\0\0\0",
	770, "\50\129\12\131\5\0\96\129\12\130\114\0\129\51\129\12\130\114\0\132\26\129\12\130\114\0\0\0\0",
	780, "\50\129\13\131\6\0\96\129\13\130\115\0\129\51\129\13\130\115\0\132\26\129\13\130\115\0\0\0\0",
	790, "\50\129\14\131\7\0\96\129\14\130\116\0\129\51\129\14\130\116\0\132\26\129\14\130\116\0\0\0\0",
	800, "\54\130\118\0\100\130\99\0\129\55\130\99\0\132\30\130\99\0\0\0\0",
	810, "\54\129\6\130\127\0\100\129\6\130\108\0\129\55\129\6\130\108\0\132\30\129\6\130\108\0\0\0\0",
	820, "\54\129\7\131\0\0\100\129\7\130\109\0\129\55\129\7\130\109\0\132\30\129\7\130\109\0\0\0\0",
	830, "\54\129\8\131\1\0\100\129\8\130\110\0\129\55\129\8\130\110\0\132\30\129\8\130\110\0\0\0\0",
	840, "\54\129\9\131\2\0\100\129\9\130\111\0\129\55\129\9\130\111\0\132\30\129\9\130\111\0\0\0\0",
	850, "\54\129\10\131\3\0\100\129\10\130\112\0\129\55\129\10\130\112\0\132\30\129\10\130\112\0\0\0\0",
	860, "\54\129\11\131\4\0\100\129\11\130\113\0\129\55\129\11\130\113\0\132\30\129\11\130\113\0\0\0\0",
	870, "\54\129\12\131\5\0\100\129\12\130\114\0\129\55\129\12\130\114\0\132\30\129\12\130\114\0\0\0\0",
	880, "\54\129\13\131\6\0\100\129\13\130\115\0\129\55\129\13\130\115\0\132\30\129\13\130\115\0\0\0\0",
	890, "\54\129\14\131\7\0\100\129\14\130\116\0\129\55\129\14\130\116\0\132\30\129\14\130\116\0\0\0\0",
	900, "\58\130\118\0\104\130\99\0\129\59\130\99\0\132\34\130\99\0\0\0\0",
	910, "\58\129\6\130\127\0\104\129\6\130\108\0\129\59\129\6\130\108\0\132\34\129\6\130\108\0\0\0\0",
	920, "\58\129\7\131\0\0\104\129\7\130\109\0\129\59\129\7\130\109\0\132\34\129\7\130\109\0\0\0\0",
	930, "\58\129\8\131\1\0\104\129\8\130\110\0\129\59\129\8\130\110\0\132\34\129\8\130\110\0\0\0\0",
	940, "\58\129\9\131\2\0\104\129\9\130\111\0\129\59\129\9\130\111\0\132\34\129\9\130\111\0\0\0\0",
	950, "\58\129\10\131\3\0\104\129\10\130\112\0\129\59\129\10\130\112\0\132\34\129\10\130\112\0\0\0\0",
	960, "\58\129\11\131\4\0\104\129\11\130\113\0\129\59\129\11\130\113\0\132\34\129\11\130\113\0\0\0\0",
	970, "\58\129\12\131\5\0\104\129\12\130\114\0\129\59\129\12\130\114\0\132\34\129\12\130\114\0\0\0\0",
	980, "\58\129\13\131\6\0\104\129\13\130\115\0\129\59\129\13\130\115\0\132\34\129\13\130\115\0\0\0\0",
	990, "\58\129\14\131\7\0\104\129\14\130\116\0\129\59\129\14\130\116\0\132\34\129\14\130\116\0\0\0\0",
	1000, "\14\129\87\0\60\129\86\0\129\15\129\85\0\131\118\129\85\0\0\0\0",
	1100, "\27\1\131\103\130\80\0\73\1\131\103\130\34\0\129\28\1\131\103\129\116\0\132\3\1\131\103\129\116\0\0\0\0",
	1200, "\27\1\131\104\130\81\0\73\1\131\104\130\35\0\129\28\1\131\104\129\117\0\132\3\1\131\104\129\117\0\0\0\0",
	1300, "\27\1\131\105\130\82\0\73\1\131\105\130\36\0\129\28\1\131\105\129\118\0\132\3\1\131\105\129\118\0\0\0\0",
	1400, "\27\1\131\106\130\83\0\73\1\131\106\130\37\0\129\28\1\131\106\129\119\0\132\3\1\131\106\129\119\0\0\0\0",
	1500, "\27\1\131\109\130\84\0\73\1\131\109\130\38\0\129\28\1\131\109\129\120\0\132\3\1\131\109\129\120\0\0\0\0",
	1600, "\27\1\131\110\130\85\0\73\1\131\110\130\39\0\129\28\1\131\110\129\121\0\132\3\1\131\110\129\121\0\0\0\0",
	1700, "\27\1\131\113\130\86\0\73\1\131\113\130\40\0\129\28\1\131\113\129\122\0\132\3\1\131\113\129\122\0\0\0\0",
	1800, "\27\1\131\114\130\87\0\73\1\131\114\130\41\0\129\28\1\131\114\129\123\0\132\3\1\131\114\129\123\0\0\0\0",
	1900, "\27\1\131\115\130\88\0\73\1\131\115\130\42\0\129\28\1\131\115\129\124\0\132\3\1\131\115\129\124\0\0\0\0",
	2000, "\28\130\63\0\74\130\17\0\129\29\129\99\0\132\4\129\99\0\0\0\0",
	2100, "\31\2\131\103\130\80\0\77\2\131\103\130\34\0\129\32\2\131\103\129\116\0\132\7\2\131\103\129\116\0\0\0\0",
	2200, "\31\2\131\104\130\81\0\77\2\131\104\130\35\0\129\32\2\131\104\129\117\0\132\7\2\131\104\129\117\0\0\0\0",
	2300, "\31\2\131\105\130\82\0\77\2\131\105\130\36\0\129\32\2\131\105\129\118\0\132\7\2\131\105\129\118\0\0\0\0",
	2400, "\31\2\131\106\130\83\0\77\2\131\106\130\37\0\129\32\2\131\106\129\119\0\132\7\2\131\106\129\119\0\0\0\0",
	2500, "\31\2\131\109\130\84\0\77\2\131\109\130\38\0\129\32\2\131\109\129\120\0\132\7\2\131\109\129\120\0\0\0\0",
	2600, "\31\2\131\110\130\85\0\77\2\131\110\130\39\0\129\32\2\131\110\129\121\0\132\7\2\131\110\129\121\0\0\0\0",
	2700, "\31\2\131\113\130\86\0\77\2\131\113\130\40\0\129\32\2\131\113\129\122\0\132\7\2\131\113\129\122\0\0\0\0",
	2800, "\31\2\131\114\130\87\0\77\2\131\114\130\41\0\129\32\2\131\114\129\123\0\132\7\2\131\114\129\123\0\0\0\0",
	2900, "\31\2\131\115\130\88\0\77\2\131\115\130\42\0\129\32\2\131\115\129\124\0\132\7\2\131\115\129\124\0\0\0\0",
	3000, "\32\130\65\0\78\130\19\0\129\33\129\101\0\132\8\129\101\0\0\0\0",
	3100, "\35\3\131\103\130\80\0\81\3\131\103\130\34\0\129\36\3\131\103\129\116\0\132\11\3\131\103\129\116\0\0\0\0",
	3200, "\35\3\131\104\130\81\0\81\3\131\104\130\35\0\129\36\3\131\104\129\117\0\132\11\3\131\104\129\117\0\0\0\0",
	3300, "\35\3\131\105\130\82\0\81\3\131\105\130\36\0\129\36\3\131\105\129\118\0\132\11\3\131\105\129\118\0\0\0\0",
	3400, "\35\3\131\106\130\83\0\81\3\131\106\130\37\0\129\36\3\131\106\129\119\0\132\11\3\131\106\129\119\0\0\0\0",
	3500, "\35\3\131\109\130\84\0\81\3\131\109\130\38\0\129\36\3\131\109\129\120\0\132\11\3\131\109\129\120\0\0\0\0",
	3600, "\35\3\131\110\130\85\0\81\3\131\110\130\39\0\129\36\3\131\110\129\121\0\132\11\3\131\110\129\121\0\0\0\0",
	3700, "\35\3\131\113\130\86\0\81\3\131\113\130\40\0\129\36\3\131\113\129\122\0\132\11\3\131\113\129\122\0\0\0\0",
	3800, "\35\3\131\114\130\87\0\81\3\131\114\130\41\0\129\36\3\131\114\129\123\0\132\11\3\131\114\129\123\0\0\0\0",
	3900, "\35\3\131\115\130\88\0\81\3\131\115\130\42\0\129\36\3\131\115\129\124\0\132\11\3\131\115\129\124\0\0\0\0",
	4000, "\36\130\67\0\82\130\21\0\129\37\129\103\0\132\12\129\103\0\0\0\0",
	4100, "\39\6\131\103\130\80\0\85\6\131\103\130\34\0\129\40\6\131\103\129\116\0\132\15\6\131\103\129\116\0\0\0\0",
	4200, "\39\6\131\104\130\81\0\85\6\131\104\130\35\0\129\40\6\131\104\129\117\0\132\15\6\131\104\129\117\0\0\0\0",
	4300, "\39\6\131\105\130\82\0\85\6\131\105\130\36\0\129\40\6\131\105\129\118\0\132\15\6\131\105\129\118\0\0\0\0",
	4400, "\39\6\131\106\130\83\0\85\6\131\106\130\37\0\129\40\6\131\106\129\119\0\132\15\6\131\106\129\119\0\0\0\0",
	4500, "\39\6\131\109\130\84\0\85\6\131\109\130\38\0\129\40\6\131\109\129\120\0\132\15\6\131\109\129\120\0\0\0\0",
	4600, "\39\6\131\110\130\85\0\85\6\131\110\130\39\0\129\40\6\131\110\129\121\0\132\15\6\131\110\129\121\0\0\0\0",
	4700, "\39\6\131\113\130\86\0\85\6\131\113\130\40\0\129\40\6\131\113\129\122\0\132\15\6\131\113\129\122\0\0\0\0",
	4800, "\39\6\131\114\130\87\0\85\6\131\114\130\41\0\129\40\6\131\114\129\123\0\132\15\6\131\114\129\123\0\0\0\0",
	4900, "\39\6\131\115\130\88\0\85\6\131\115\130\42\0\129\40\6\131\115\129\124\0\132\15\6\131\115\129\124\0\0\0\0",
	5000, "\40\130\69\0\86\130\23\0\129\41\129\105\0\132\16\129\105\0\0\0\0",
	5100, "\43\7\131\103\130\80\0\89\7\131\103\130\34\0\129\44\7\131\103\129\116\0\132\19\7\131\103\129\116\0\0\0\0",
	5200, "\43\7\131\104\130\81\0\89\7\131\104\130\35\0\129\44\7\131\104\129\117\0\132\19\7\131\104\129\117\0\0\0\0",
	5300, "\43\7\131\105\130\82\0\89\7\131\105\130\36\0\129\44\7\131\105\129\118\0\132\19\7\131\105\129\118\0\0\0\0",
	5400, "\43\7\131\106\130\83\0\89\7\131\106\130\37\0\129\44\7\131\106\129\119\0\132\19\7\131\106\129\119\0\0\0\0",
	5500, "\43\7\131\109\130\84\0\89\7\131\109\130\38\0\129\44\7\131\109\129\120\0\132\19\7\131\109\129\120\0\0\0\0",
	5600, "\43\7\131\110\130\85\0\89\7\131\110\130\39\0\129\44\7\131\110\129\121\0\132\19\7\131\110\129\121\0\0\0\0",
	5700, "\43\7\131\113\130\86\0\89\7\131\113\130\40\0\129\44\7\131\113\129\122\0\132\19\7\131\113\129\122\0\0\0\0",
	5800, "\43\7\131\114\130\87\0\89\7\131\114\130\41\0\129\44\7\131\114\129\123\0\132\19\7\131\114\129\123\0\0\0\0",
	5900, "\43\7\131\115\130\88\0\89\7\131\115\130\42\0\129\44\7\131\115\129\124\0\132\19\7\131\115\129\124\0\0\0\0",
	6000, "\44\130\71\0\90\130\25\0\129\45\129\107\0\132\20\129\107\0\0\0\0",
	6100, "\47\8\131\103\130\80\0\93\8\131\103\130\34\0\129\48\8\131\103\129\116\0\132\23\8\131\103\129\116\0\0\0\0",
	6200, "\47\8\131\104\130\81\0\93\8\131\104\130\35\0\129\48\8\131\104\129\117\0\132\23\8\131\104\129\117\0\0\0\0",
	6300, "\47\8\131\105\130\82\0\93\8\131\105\130\36\0\129\48\8\131\105\129\118\0\132\23\8\131\105\129\118\0\0\0\0",
	6400, "\47\8\131\106\130\83\0\93\8\131\106\130\37\0\129\48\8\131\106\129\119\0\132\23\8\131\106\129\119\0\0\0\0",
	6500, "\47\8\131\109\130\84\0\93\8\131\109\130\38\0\129\48\8\131\109\129\120\0\132\23\8\131\109\129\120\0\0\0\0",
	6600, "\47\8\131\110\130\85\0\93\8\131\110\130\39\0\129\48\8\131\110\129\121\0\132\23\8\131\110\129\121\0\0\0\0",
	6700, "\47\8\131\113\130\86\0\93\8\131\113\130\40\0\129\48\8\131\113\129\122\0\132\23\8\131\113\129\122\0\0\0\0",
	6800, "\47\8\131\114\130\87\0\93\8\131\114\130\41\0\129\48\8\131\114\129\123\0\132\23\8\131\114\129\123\0\0\0\0",
	6900, "\47\8\131\115\130\88\0\93\8\131\115\130\42\0\129\48\8\131\115\129\124\0\132\23\8\131\115\129\124\0\0\0\0",
	7000, "\48\130\73\0\94\130\27\0\129\49\129\109\0\132\24\129\109\0\0\0\0",
	7100, "\51\9\131\103\130\80\0\97\9\131\103\130\34\0\129\52\9\131\103\129\116\0\132\27\9\131\103\129\116\0\0\0\0",
	7200, "\51\9\131\104\130\81\0\97\9\131\104\130\35\0\129\52\9\131\104\129\117\0\132\27\9\131\104\129\117\0\0\0\0",
	7300, "\51\9\131\105\130\82\0\97\9\131\105\130\36\0\129\52\9\131\105\129\118\0\132\27\9\131\105\129\118\0\0\0\0",
	7400, "\51\9\131\106\130\83\0\97\9\131\106\130\37\0\129\52\9\131\106\129\119\0\132\27\9\131\106\129\119\0\0\0\0",
	7500, "\51\9\131\109\130\84\0\97\9\131\109\130\38\0\129\52\9\131\109\129\120\0\132\27\9\131\109\129\120\0\0\0\0",
	7600, "\51\9\131\110\130\85\0\97\9\131\110\130\39\0\129\52\9\131\110\129\121\0\132\27\9\131\110\129\121\0\0\0\0",
	7700, "\51\9\131\113\130\86\0\97\9\131\113\130\40\0\129\52\9\131\113\129\122\0\132\27\9\131\113\129\122\0\0\0\0",
	7800, "\51\9\131\114\130\87\0\97\9\131\114\130\41\0\129\52\9\131\114\129\123\0\132\27\9\131\114\129\123\0\0\0\0",
	7900, "\51\9\131\115\130\88\0\97\9\131\115\130\42\0\129\52\9\131\115\129\124\0\132\27\9\131\115\129\124\0\0\0\0",
	8000, "\52\130\75\0\98\130\29\0\129\53\129\111\0\132\28\129\111\0\0\0\0",
	8100, "\55\10\131\103\130\80\0\101\10\131\103\130\34\0\129\56\10\131\103\129\116\0\132\31\10\131\103\129\116\0\0\0\0",
	8200, "\55\10\131\104\130\81\0\101\10\131\104\130\35\0\129\56\10\131\104\129\117\0\132\31\10\131\104\129\117\0\0\0\0",
	8300, "\55\10\131\105\130\82\0\101\10\131\105\130\36\0\129\56\10\131\105\129\118\0\132\31\10\131\105\129\118\0\0\0\0",
	8400, "\55\10\131\106\130\83\0\101\10\131\106\130\37\0\129\56\10\131\106\129\119\0\132\31\10\131\106\129\119\0\0\0\0",
	8500, "\55\10\131\109\130\84\0\101\10\131\109\130\38\0\129\56\10\131\109\129\120\0\132\31\10\131\109\129\120\0\0\0\0",
	8600, "\55\10\131\110\130\85\0\101\10\131\110\130\39\0\129\56\10\131\110\129\121\0\132\31\10\131\110\129\121\0\0\0\0",
	8700, "\55\10\131\113\130\86\0\101\10\131\113\130\40\0\129\56\10\131\113\129\122\0\132\31\10\131\113\129\122\0\0\0\0",
	8800, "\55\10\131\114\130\87\0\101\10\131\114\130\41\0\129\56\10\131\114\129\123\0\132\31\10\131\114\129\123\0\0\0\0",
	8900, "\55\10\131\115\130\88\0\101\10\131\115\130\42\0\129\56\10\131\115\129\124\0\132\31\10\131\115\129\124\0\0\0\0",
	9000, "\56\130\77\0\102\130\31\0\129\57\129\113\0\132\32\129\113\0\0\0\0",
	9100, "\59\11\131\103\130\80\0\105\11\131\103\130\34\0\129\60\11\131\103\129\116\0\132\35\11\131\103\129\116\0\0\0\0",
	9200, "\59\11\131\104\130\81\0\105\11\131\104\130\35\0\129\60\11\131\104\129\117\0\132\35\11\131\104\129\117\0\0\0\0",
	9300, "\59\11\131\105\130\82\0\105\11\131\105\130\36\0\129\60\11\131\105\129\118\0\132\35\11\131\105\129\118\0\0\0\0",
	9400, "\59\11\131\106\130\83\0\105\11\131\106\130\37\0\129\60\11\131\106\129\119\0\132\35\11\131\106\129\119\0\0\0\0",
	9500, "\59\11\131\109\130\84\0\105\11\131\109\130\38\0\129\60\11\131\109\129\120\0\132\35\11\131\109\129\120\0\0\0\0",
	9600, "\59\11\131\110\130\85\0\105\11\131\110\130\39\0\129\60\11\131\110\129\121\0\132\35\11\131\110\129\121\0\0\0\0",
	9700, "\59\11\131\113\130\86\0\105\11\131\113\130\40\0\129\60\11\131\113\129\122\0\132\35\11\131\113\129\122\0\0\0\0",
	9800, "\59\11\131\114\130\87\0\105\11\131\114\130\41\0\129\60\11\131\114\129\123\0\132\35\11\131\114\129\123\0\0\0\0",
	9900, "\59\11\131\115\130\88\0\105\11\131\115\130\42\0\129\60\11\131\115\129\124\0\132\35\11\131\115\129\124\0\0\0\0",
	10000, "\15\130\52\0\61\130\6\0\129\16\129\88\0\131\119\129\88\0\0\0\0",
	11000, "\18\130\54\0\64\130\8\0\129\19\129\90\0\131\122\129\90\0\0\0\0",
	12000, "\19\130\55\0\65\130\9\0\129\20\129\91\0\131\123\129\91\0\0\0\0",
	13000, "\20\130\56\0\66\130\10\0\129\21\129\92\0\131\124\129\92\0\0\0\0",
	14000, "\21\130\57\0\67\130\11\0\129\22\129\93\0\131\125\129\93\0\0\0\0",
	15000, "\22\130\58\0\68\130\12\0\129\23\129\94\0\131\126\129\94\0\0\0\0",
	16000, "\23\130\59\0\69\130\13\0\129\24\129\95\0\131\127\129\95\0\0\0\0",
	17000, "\24\130\60\0\70\130\14\0\129\25\129\96\0\132\0\129\96\0\0\0\0",
	18000, "\25\130\61\0\71\130\15\0\129\26\129\97\0\132\1\129\97\0\0\0\0",
	19000, "\26\130\62\0\72\130\16\0\129\27\129\98\0\132\2\129\98\0\0\0\0",
	20000, "\29\130\64\0\75\130\18\0\129\30\129\100\0\132\5\129\100\0\0\0\0",
	21000, "\125\132\50\130\64\0\111\132\50\130\18\0\129\66\132\50\129\100\0\132\41\132\50\129\100\0\0\0\0",
	22000, "\126\132\50\130\64\0\112\132\50\130\18\0\129\67\132\50\129\100\0\132\42\132\50\129\100\0\0\0\0",
	23000, "\127\132\50\130\64\0\113\132\50\130\18\0\129\68\132\50\129\100\0\132\43\132\50\129\100\0\0\0\0",
	24000, "\129\0\132\50\130\64\0\114\132\50\130\18\0\129\69\132\50\129\100\0\132\44\132\50\129\100\0\0\0\0",
	25000, "\129\1\132\50\130\64\0\115\132\50\130\18\0\129\70\132\50\129\100\0\132\45\132\50\129\100\0\0\0\0",
	26000, "\129\2\132\50\130\64\0\116\132\50\130\18\0\129\71\132\50\129\100\0\132\46\132\50\129\100\0\0\0\0",
	27000, "\129\3\132\50\130\64\0\117\132\50\130\18\0\129\72\132\50\129\100\0\132\47\132\50\129\100\0\0\0\0",
	28000, "\129\4\132\50\130\64\0\118\132\50\130\18\0\129\73\132\50\129\100\0\132\48\132\50\129\100\0\0\0\0",
	29000, "\129\5\132\50\130\64\0\119\132\50\130\18\0\129\74\132\50\129\100\0\132\49\132\50\129\100\0\0\0\0",
	30000, "\33\130\66\0\79\130\20\0\129\34\129\102\0\132\9\129\102\0\0\0\0",
	31000, "\125\132\51\130\66\0\111\132\51\130\20\0\129\66\132\51\129\102\0\132\41\132\51\129\102\0\0\0\0",
	32000, "\126\132\51\130\66\0\112\132\51\130\20\0\129\67\132\51\129\102\0\132\42\132\51\129\102\0\0\0\0",
	33000, "\127\132\51\130\66\0\113\132\51\130\20\0\129\68\132\51\129\102\0\132\43\132\51\129\102\0\0\0\0",
	34000, "\129\0\132\51\130\66\0\114\132\51\130\20\0\129\69\132\51\129\102\0\132\44\132\51\129\102\0\0\0\0",
	35000, "\129\1\132\51\130\66\0\115\132\51\130\20\0\129\70\132\51\129\102\0\132\45\132\51\129\102\0\0\0\0",
	36000, "\129\2\132\51\130\66\0\116\132\51\130\20\0\129\71\132\51\129\102\0\132\46\132\51\129\102\0\0\0\0",
	37000, "\129\3\132\51\130\66\0\117\132\51\130\20\0\129\72\132\51\129\102\0\132\47\132\51\129\102\0\0\0\0",
	38000, "\129\4\132\51\130\66\0\118\132\51\130\20\0\129\73\132\51\129\102\0\132\48\132\51\129\102\0\0\0\0",
	39000, "\129\5\132\51\130\66\0\119\132\51\130\20\0\129\74\132\51\129\102\0\132\49\132\51\129\102\0\0\0\0",
	40000, "\37\130\68\0\83\130\22\0\129\38\129\104\0\132\13\129\104\0\0\0\0",
	41000, "\125\132\52\130\68\0\111\132\52\130\22\0\129\66\132\52\129\104\0\132\41\132\52\129\104\0\0\0\0",
	42000, "\126\132\52\130\68\0\112\132\52\130\22\0\129\67\132\52\129\104\0\132\42\132\52\129\104\0\0\0\0",
	43000, "\127\132\52\130\68\0\113\132\52\130\22\0\129\68\132\52\129\104\0\132\43\132\52\129\104\0\0\0\0",
	44000, "\129\0\132\52\130\68\0\114\132\52\130\22\0\129\69\132\52\129\104\0\132\44\132\52\129\104\0\0\0\0",
	45000, "\129\1\132\52\130\68\0\115\132\52\130\22\0\129\70\132\52\129\104\0\132\45\132\52\129\104\0\0\0\0",
	46000, "\129\2\132\52\130\68\0\116\132\52\130\22\0\129\71\132\52\129\104\0\132\46\132\52\129\104\0\0\0\0",
	47000, "\129\3\132\52\130\68\0\117\132\52\130\22\0\129\72\132\52\129\104\0\132\47\132\52\129\104\0\0\0\0",
	48000, "\129\4\132\52\130\68\0\118\132\52\130\22\0\129\73\132\52\129\104\0\132\48\132\52\129\104\0\0\0\0",
	49000, "\129\5\132\52\130\68\0\119\132\52\130\22\0\129\74\132\52\129\104\0\132\49\132\52\129\104\0\0\0\0",
	50000, "\41\130\70\0\87\130\24\0\129\42\129\106\0\132\17\129\106\0\0\0\0",
	51000, "\125\132\53\130\70\0\111\132\53\130\24\0\129\66\132\53\129\106\0\132\41\132\53\129\106\0\0\0\0",
	52000, "\126\132\53\130\70\0\112\132\53\130\24\0\129\67\132\53\129\106\0\132\42\132\53\129\106\0\0\0\0",
	53000, "\127\132\53\130\70\0\113\132\53\130\24\0\129\68\132\53\129\106\0\132\43\132\53\129\106\0\0\0\0",
	54000, "\129\0\132\53\130\70\0\114\132\53\130\24\0\129\69\132\53\129\106\0\132\44\132\53\129\106\0\0\0\0",
	55000, "\129\1\132\53\130\70\0\115\132\53\130\24\0\129\70\132\53\129\106\0\132\45\132\53\129\106\0\0\0\0",
	56000, "\129\2\132\53\130\70\0\116\132\53\130\24\0\129\71\132\53\129\106\0\132\46\132\53\129\106\0\0\0\0",
	57000, "\129\3\132\53\130\70\0\117\132\53\130\24\0\129\72\132\53\129\106\0\132\47\132\53\129\106\0\0\0\0",
	58000, "\129\4\132\53\130\70\0\118\132\53\130\24\0\129\73\132\53\129\106\0\132\48\132\53\129\106\0\0\0\0",
	59000, "\129\5\132\53\130\70\0\119\132\53\130\24\0\129\74\132\53\129\106\0\132\49\132\53\129\106\0\0\0\0",
	60000, "\45\130\72\0\91\130\26\0\129\46\129\108\0\132\21\129\108\0\0\0\0",
	61000, "\125\132\54\130\72\0\111\132\54\130\26\0\129\66\132\54\129\108\0\132\41\132\54\129\108\0\0\0\0",
	62000, "\126\132\54\130\72\0\112\132\54\130\26\0\129\67\132\54\129\108\0\132\42\132\54\129\108\0\0\0\0",
	63000, "\127\132\54\130\72\0\113\132\54\130\26\0\129\68\132\54\129\108\0\132\43\132\54\129\108\0\0\0\0",
	64000, "\129\0\132\54\130\72\0\114\132\54\130\26\0\129\69\132\54\129\108\0\132\44\132\54\129\108\0\0\0\0",
	65000, "\129\1\132\54\130\72\0\115\132\54\130\26\0\129\70\132\54\129\108\0\132\45\132\54\129\108\0\0\0\0",
	66000, "\129\2\132\54\130\72\0\116\132\54\130\26\0\129\71\132\54\129\108\0\132\46\132\54\129\108\0\0\0\0",
	67000, "\129\3\132\54\130\72\0\117\132\54\130\26\0\129\72\132\54\129\108\0\132\47\132\54\129\108\0\0\0\0",
	68000, "\129\4\132\54\130\72\0\118\132\54\130\26\0\129\73\132\54\129\108\0\132\48\132\54\129\108\0\0\0\0",
	69000, "\129\5\132\54\130\72\0\119\132\54\130\26\0\129\74\132\54\129\108\0\132\49\132\54\129\108\0\0\0\0",
	70000, "\49\130\74\0\95\130\28\0\129\50\129\110\0\132\25\129\110\0\0\0\0",
	71000, "\125\132\55\130\74\0\111\132\55\130\28\0\129\66\132\55\129\110\0\132\41\132\55\129\110\0\0\0\0",
	72000, "\126\132\55\130\74\0\112\132\55\130\28\0\129\67\132\55\129\110\0\132\42\132\55\129\110\0\0\0\0",
	73000, "\127\132\55\130\74\0\113\132\55\130\28\0\129\68\132\55\129\110\0\132\43\132\55\129\110\0\0\0\0",
	74000, "\129\0\132\55\130\74\0\114\132\55\130\28\0\129\69\132\55\129\110\0\132\44\132\55\129\110\0\0\0\0",
	75000, "\129\1\132\55\130\74\0\115\132\55\130\28\0\129\70\132\55\129\110\0\132\45\132\55\129\110\0\0\0\0",
	76000, "\129\2\132\55\130\74\0\116\132\55\130\28\0\129\71\132\55\129\110\0\132\46\132\55\129\110\0\0\0\0",
	77000, "\129\3\132\55\130\74\0\117\132\55\130\28\0\129\72\132\55\129\110\0\132\47\132\55\129\110\0\0\0\0",
	78000, "\129\4\132\55\130\74\0\118\132\55\130\28\0\129\73\132\55\129\110\0\132\48\132\55\129\110\0\0\0\0",
	79000, "\129\5\132\55\130\74\0\119\132\55\130\28\0\129\74\132\55\129\110\0\132\49\132\55\129\110\0\0\0\0",
	80000, "\53\130\76\0\99\130\30\0\129\54\129\112\0\132\29\129\112\0\0\0\0",
	81000, "\125\132\56\130\76\0\111\132\56\130\30\0\129\66\132\56\129\112\0\132\41\132\56\129\112\0\0\0\0",
	82000, "\126\132\56\130\76\0\112\132\56\130\30\0\129\67\132\56\129\112\0\132\42\132\56\129\112\0\0\0\0",
	83000, "\127\132\56\130\76\0\113\132\56\130\30\0\129\68\132\56\129\112\0\132\43\132\56\129\112\0\0\0\0",
	84000, "\129\0\132\56\130\76\0\114\132\56\130\30\0\129\69\132\56\129\112\0\132\44\132\56\129\112\0\0\0\0",
	85000, "\129\1\132\56\130\76\0\115\132\56\130\30\0\129\70\132\56\129\112\0\132\45\132\56\129\112\0\0\0\0",
	86000, "\129\2\132\56\130\76\0\116\132\56\130\30\0\129\71\132\56\129\112\0\132\46\132\56\129\112\0\0\0\0",
	87000, "\129\3\132\56\130\76\0\117\132\56\130\30\0\129\72\132\56\129\112\0\132\47\132\56\129\112\0\0\0\0",
	88000, "\129\4\132\56\130\76\0\118\132\56\130\30\0\129\73\132\56\129\112\0\132\48\132\56\129\112\0\0\0\0",
	89000, "\129\5\132\56\130\76\0\119\132\56\130\30\0\129\74\132\56\129\112\0\132\49\132\56\129\112\0\0\0\0",
	90000, "\57\130\78\0\103\130\32\0\129\58\129\114\0\132\33\129\114\0\0\0\0",
	91000, "\125\132\57\130\78\0\111\132\57\130\32\0\129\66\132\57\129\114\0\132\41\132\57\129\114\0\0\0\0",
	92000, "\126\132\57\130\78\0\112\132\57\130\32\0\129\67\132\57\129\114\0\132\42\132\57\129\114\0\0\0\0",
	93000, "\127\132\57\130\78\0\113\132\57\130\32\0\129\68\132\57\129\114\0\132\43\132\57\129\114\0\0\0\0",
	94000, "\129\0\132\57\130\78\0\114\132\57\130\32\0\129\69\132\57\129\114\0\132\44\132\57\129\114\0\0\0\0",
	95000, "\129\1\132\57\130\78\0\115\132\57\130\32\0\129\70\132\57\129\114\0\132\45\132\57\129\114\0\0\0\0",
	96000, "\129\2\132\57\130\78\0\116\132\57\130\32\0\129\71\132\57\129\114\0\132\46\132\57\129\114\0\0\0\0",
	97000, "\129\3\132\57\130\78\0\117\132\57\130\32\0\129\72\132\57\129\114\0\132\47\132\57\129\114\0\0\0\0",
	98000, "\129\4\132\57\130\78\0\118\132\57\130\32\0\129\73\132\57\129\114\0\132\48\132\57\129\114\0\0\0\0",
	99000, "\129\5\132\57\130\78\0\119\132\57\130\32\0\129\74\132\57\129\114\0\132\49\132\57\129\114\0\0\0\0",
	100000, "\16\130\53\0\62\130\7\0\129\17\129\89\0\131\120\129\89\0\0\0\0",
	110000, "\16\129\6\130\89\0\62\129\6\130\43\0\129\17\129\6\129\125\0\131\120\129\6\129\125\0\0\0\0",
	120000, "\16\129\7\130\90\0\62\129\7\130\44\0\129\17\129\7\129\126\0\131\120\129\7\129\126\0\0\0\0",
	130000, "\16\129\8\130\91\0\62\129\8\130\45\0\129\17\129\8\129\127\0\131\120\129\8\129\127\0\0\0\0",
	140000, "\16\129\9\130\92\0\62\129\9\130\46\0\129\17\129\9\130\0\0\131\120\129\9\130\0\0\0\0\0",
	150000, "\16\129\10\130\93\0\62\129\10\130\47\0\129\17\129\10\130\1\0\131\120\129\10\130\1\0\0\0\0",
	160000, "\16\129\11\130\94\0\62\129\11\130\48\0\129\17\129\11\130\2\0\131\120\129\11\130\2\0\0\0\0",
	170000, "\16\129\12\130\95\0\62\129\12\130\49\0\129\17\129\12\130\3\0\131\120\129\12\130\3\0\0\0\0",
	180000, "\16\129\13\130\96\0\62\129\13\130\50\0\129\17\129\13\130\4\0\131\120\129\13\130\4\0\0\0\0",
	190000, "\16\129\14\130\97\0\62\129\14\130\51\0\129\17\129\14\130\5\0\131\120\129\14\130\5\0\0\0\0",
	200000, "\30\130\53\0\76\130\7\0\129\31\129\89\0\132\6\129\89\0\0\0\0",
	210000, "\30\129\6\130\89\0\76\129\6\130\43\0\129\31\129\6\129\125\0\132\6\129\6\129\125\0\0\0\0",
	220000, "\30\129\7\130\90\0\76\129\7\130\44\0\129\31\129\7\129\126\0\132\6\129\7\129\126\0\0\0\0",
	230000, "\30\129\8\130\91\0\76\129\8\130\45\0\129\31\129\8\129\127\0\132\6\129\8\129\127\0\0\0\0",
	240000, "\30\129\9\130\92\0\76\129\9\130\46\0\129\31\129\9\130\0\0\132\6\129\9\130\0\0\0\0\0",
	250000, "\30\129\10\130\93\0\76\129\10\130\47\0\129\31\129\10\130\1\0\132\6\129\10\130\1\0\0\0\0",
	260000, "\30\129\11\130\94\0\76\129\11\130\48\0\129\31\129\11\130\2\0\132\6\129\11\130\2\0\0\0\0",
	270000, "\30\129\12\130\95\0\76\129\12\130\49\0\129\31\129\12\130\3\0\132\6\129\12\130\3\0\0\0\0",
	280000, "\30\129\13\130\96\0\76\129\13\130\50\0\129\31\129\13\130\4\0\132\6\129\13\130\4\0\0\0\0",
	290000, "\30\129\14\130\97\0\76\129\14\130\51\0\129\31\129\14\130\5\0\132\6\129\14\130\5\0\0\0\0",
	300000, "\34\130\53\0\80\130\7\0\129\35\129\89\0\132\10\129\89\0\0\0\0",
	310000, "\34\129\6\130\89\0\80\129\6\130\43\0\129\35\129\6\129\125\0\132\10\129\6\129\125\0\0\0\0",
	320000, "\34\129\7\130\90\0\80\129\7\130\44\0\129\35\129\7\129\126\0\132\10\129\7\129\126\0\0\0\0",
	330000, "\34\129\8\130\91\0\80\129\8\130\45\0\129\35\129\8\129\127\0\132\10\129\8\129\127\0\0\0\0",
	340000, "\34\129\9\130\92\0\80\129\9\130\46\0\129\35\129\9\130\0\0\132\10\129\9\130\0\0\0\0\0",
	350000, "\34\129\10\130\93\0\80\129\10\130\47\0\129\35\129\10\130\1\0\132\10\129\10\130\1\0\0\0\0",
	360000, "\34\129\11\130\94\0\80\129\11\130\48\0\129\35\129\11\130\2\0\132\10\129\11\130\2\0\0\0\0",
	370000, "\34\129\12\130\95\0\80\129\12\130\49\0\129\35\129\12\130\3\0\132\10\129\12\130\3\0\0\0\0",
	380000, "\34\129\13\130\96\0\80\129\13\130\50\0\129\35\129\13\130\4\0\132\10\129\13\130\4\0\0\0\0",
	390000, "\34\129\14\130\97\0\80\129\14\130\51\0\129\35\129\14\130\5\0\132\10\129\14\130\5\0\0\0\0",
	400000, "\38\130\53\0\84\130\7\0\129\39\129\89\0\132\14\129\89\0\0\0\0",
	410000, "\38\129\6\130\89\0\84\129\6\130\43\0\129\39\129\6\129\125\0\132\14\129\6\129\125\0\0\0\0",
	420000, "\38\129\7\130\90\0\84\129\7\130\44\0\129\39\129\7\129\126\0\132\14\129\7\129\126\0\0\0\0",
	430000, "\38\129\8\130\91\0\84\129\8\130\45\0\129\39\129\8\129\127\0\132\14\129\8\129\127\0\0\0\0",
	440000, "\38\129\9\130\92\0\84\129\9\130\46\0\129\39\129\9\130\0\0\132\14\129\9\130\0\0\0\0\0",
	450000, "\38\129\10\130\93\0\84\129\10\130\47\0\129\39\129\10\130\1\0\132\14\129\10\130\1\0\0\0\0",
	460000, "\38\129\11\130\94\0\84\129\11\130\48\0\129\39\129\11\130\2\0\132\14\129\11\130\2\0\0\0\0",
	470000, "\38\129\12\130\95\0\84\129\12\130\49\0\129\39\129\12\130\3\0\132\14\129\12\130\3\0\0\0\0",
	480000, "\38\129\13\130\96\0\84\129\13\130\50\0\129\39\129\13\130\4\0\132\14\129\13\130\4\0\0\0\0",
	490000, "\38\129\14\130\97\0\84\129\14\130\51\0\129\39\129\14\130\5\0\132\14\129\14\130\5\0\0\0\0",
	500000, "\42\130\53\0\88\130\7\0\129\43\129\89\0\132\18\129\89\0\0\0\0",
	510000, "\123\131\102\130\79\0\109\131\102\130\33\0\129\64\131\102\129\115\0\132\39\131\102\129\115\0\0\0\0",
}

distances.feet = {
	15, "\41\129\81\0\87\129\77\0\129\42\129\77\0\132\17\129\77\0\0\0\0",
	30, "\16\129\79\0\62\129\75\0\129\17\129\75\0\131\120\129\75\0\0\0\0",
	46, "\16\129\10\129\82\0\62\129\10\129\78\0\129\17\129\10\129\78\0\131\120\129\10\129\78\0\0\0\0",
	61, "\30\129\79\0\76\129\75\0\129\31\129\75\0\132\6\129\75\0\0\0\0",
	91, "\34\129\79\0\80\129\75\0\129\35\129\75\0\132\10\129\75\0\0\0\0",
	122, "\38\129\79\0\84\129\75\0\129\39\129\75\0\132\14\129\75\0\0\0\0",
	152, "\42\129\79\0\88\129\75\0\129\43\129\75\0\132\18\129\75\0\0\0\0",
	183, "\46\129\79\0\92\129\75\0\129\47\129\75\0\132\22\129\75\0\0\0\0",
	213, "\50\129\79\0\96\129\75\0\129\51\129\75\0\132\26\129\75\0\0\0\0",
	244, "\54\129\79\0\100\129\75\0\129\55\129\75\0\132\30\129\75\0\0\0\0",
	274, "\58\129\79\0\104\129\75\0\129\59\129\75\0\132\34\129\75\0\0\0\0",
	305, "\17\129\80\0\63\129\76\0\129\18\129\76\0\131\121\129\76\0\0\0\0",
	402, "\121\13\0\107\12\0\129\62\12\0\132\37\12\0\0\0\0",
	644, "\124\131\108\0\110\131\107\0\129\65\131\107\0\132\40\131\107\0\0\0\0",
	805, "\122\129\84\0\108\129\83\0\129\63\129\83\0\132\38\129\83\0\0\0\0",
	966, "\124\131\112\0\110\131\111\0\129\65\131\111\0\132\40\131\111\0\0\0\0",
	1127, "\120\5\0\106\4\0\129\61\4\0\132\36\4\0\0\0\0",
	1448, "\124\131\117\0\110\131\116\0\129\65\131\116\0\132\40\131\116\0\0\0\0",
	1609, "\14\131\10\0\60\131\9\0\129\15\131\8\0\131\118\131\8\0\0\0\0",
	1770, "\27\1\131\103\131\84\0\73\1\131\103\131\39\0\129\28\1\131\103\131\39\0\132\3\1\131\103\131\39\0\0\0\0",
	1931, "\27\1\131\104\131\85\0\73\1\131\104\131\40\0\129\28\1\131\104\131\40\0\132\3\1\131\104\131\40\0\0\0\0",
	2092, "\27\1\131\105\131\86\0\73\1\131\105\131\41\0\129\28\1\131\105\131\41\0\132\3\1\131\105\131\41\0\0\0\0",
	2253, "\27\1\131\106\131\87\0\73\1\131\106\131\42\0\129\28\1\131\106\131\42\0\132\3\1\131\106\131\42\0\0\0\0",
	2414, "\27\1\131\109\131\88\0\73\1\131\109\131\43\0\129\28\1\131\109\131\43\0\132\3\1\131\109\131\43\0\0\0\0",
	2575, "\27\1\131\110\131\89\0\73\1\131\110\131\44\0\129\28\1\131\110\131\44\0\132\3\1\131\110\131\44\0\0\0\0",
	2736, "\27\1\131\113\131\90\0\73\1\131\113\131\45\0\129\28\1\131\113\131\45\0\132\3\1\131\113\131\45\0\0\0\0",
	2897, "\27\1\131\114\131\91\0\73\1\131\114\131\45\0\129\28\1\131\114\131\45\0\132\3\1\131\114\131\45\0\0\0\0",
	3058, "\27\1\131\115\131\92\0\73\1\131\115\131\46\0\129\28\1\131\115\131\46\0\132\3\1\131\115\131\46\0\0\0\0",
	3219, "\28\131\67\0\74\131\22\0\129\29\131\22\0\132\4\131\22\0\0\0\0",
	3380, "\31\2\131\103\131\84\0\77\2\131\103\131\39\0\129\32\2\131\103\131\39\0\132\7\2\131\103\131\39\0\0\0\0",
	3541, "\31\2\131\104\131\85\0\77\2\131\104\131\40\0\129\32\2\131\104\131\40\0\132\7\2\131\104\131\40\0\0\0\0",
	3701, "\31\2\131\105\131\86\0\77\2\131\105\131\41\0\129\32\2\131\105\131\41\0\132\7\2\131\105\131\41\0\0\0\0",
	3862, "\31\2\131\106\131\87\0\77\2\131\106\131\42\0\129\32\2\131\106\131\42\0\132\7\2\131\106\131\42\0\0\0\0",
	4023, "\31\2\131\109\131\88\0\77\2\131\109\131\43\0\129\32\2\131\109\131\43\0\132\7\2\131\109\131\43\0\0\0\0",
	4184, "\31\2\131\110\131\89\0\77\2\131\110\131\44\0\129\32\2\131\110\131\44\0\132\7\2\131\110\131\44\0\0\0\0",
	4345, "\31\2\131\113\131\90\0\77\2\131\113\131\45\0\129\32\2\131\113\131\45\0\132\7\2\131\113\131\45\0\0\0\0",
	4506, "\31\2\131\114\131\91\0\77\2\131\114\131\45\0\129\32\2\131\114\131\45\0\132\7\2\131\114\131\45\0\0\0\0",
	4667, "\31\2\131\115\131\92\0\77\2\131\115\131\46\0\129\32\2\131\115\131\46\0\132\7\2\131\115\131\46\0\0\0\0",
	4828, "\32\131\69\0\78\131\24\0\129\33\131\24\0\132\8\131\24\0\0\0\0",
	4989, "\35\3\131\103\131\84\0\81\3\131\103\131\39\0\129\36\3\131\103\131\39\0\132\11\3\131\103\131\39\0\0\0\0",
	5150, "\35\3\131\104\131\85\0\81\3\131\104\131\40\0\129\36\3\131\104\131\40\0\132\11\3\131\104\131\40\0\0\0\0",
	5311, "\35\3\131\105\131\86\0\81\3\131\105\131\41\0\129\36\3\131\105\131\41\0\132\11\3\131\105\131\41\0\0\0\0",
	5472, "\35\3\131\106\131\87\0\81\3\131\106\131\42\0\129\36\3\131\106\131\42\0\132\11\3\131\106\131\42\0\0\0\0",
	5633, "\35\3\131\109\131\88\0\81\3\131\109\131\43\0\129\36\3\131\109\131\43\0\132\11\3\131\109\131\43\0\0\0\0",
	5794, "\35\3\131\110\131\89\0\81\3\131\110\131\44\0\129\36\3\131\110\131\44\0\132\11\3\131\110\131\44\0\0\0\0",
	5955, "\35\3\131\113\131\90\0\81\3\131\113\131\45\0\129\36\3\131\113\131\45\0\132\11\3\131\113\131\45\0\0\0\0",
	6116, "\35\3\131\114\131\91\0\81\3\131\114\131\45\0\129\36\3\131\114\131\45\0\132\11\3\131\114\131\45\0\0\0\0",
	6276, "\35\3\131\115\131\92\0\81\3\131\115\131\46\0\129\36\3\131\115\131\46\0\132\11\3\131\115\131\46\0\0\0\0",
	6437, "\36\131\71\0\82\131\26\0\129\37\131\26\0\132\12\131\26\0\0\0\0",
	6598, "\39\6\131\103\131\84\0\85\6\131\103\131\39\0\129\40\6\131\103\131\39\0\132\15\6\131\103\131\39\0\0\0\0",
	6759, "\39\6\131\104\131\85\0\85\6\131\104\131\40\0\129\40\6\131\104\131\40\0\132\15\6\131\104\131\40\0\0\0\0",
	6920, "\39\6\131\105\131\86\0\85\6\131\105\131\41\0\129\40\6\131\105\131\41\0\132\15\6\131\105\131\41\0\0\0\0",
	7081, "\39\6\131\106\131\87\0\85\6\131\106\131\42\0\129\40\6\131\106\131\42\0\132\15\6\131\106\131\42\0\0\0\0",
	7242, "\39\6\131\109\131\88\0\85\6\131\109\131\43\0\129\40\6\131\109\131\43\0\132\15\6\131\109\131\43\0\0\0\0",
	7403, "\39\6\131\110\131\89\0\85\6\131\110\131\44\0\129\40\6\131\110\131\44\0\132\15\6\131\110\131\44\0\0\0\0",
	7564, "\39\6\131\113\131\90\0\85\6\131\113\131\45\0\129\40\6\131\113\131\45\0\132\15\6\131\113\131\45\0\0\0\0",
	7725, "\39\6\131\114\131\91\0\85\6\131\114\131\45\0\129\40\6\131\114\131\45\0\132\15\6\131\114\131\45\0\0\0\0",
	7886, "\39\6\131\115\131\92\0\85\6\131\115\131\46\0\129\40\6\131\115\131\46\0\132\15\6\131\115\131\46\0\0\0\0",
	8047, "\40\131\73\0\86\131\28\0\129\41\131\28\0\132\16\131\28\0\0\0\0",
	8208, "\43\7\131\103\131\84\0\89\7\131\103\131\39\0\129\44\7\131\103\131\39\0\132\19\7\131\103\131\39\0\0\0\0",
	8369, "\43\7\131\104\131\85\0\89\7\131\104\131\40\0\129\44\7\131\104\131\40\0\132\19\7\131\104\131\40\0\0\0\0",
	8530, "\43\7\131\105\131\86\0\89\7\131\105\131\41\0\129\44\7\131\105\131\41\0\132\19\7\131\105\131\41\0\0\0\0",
	8690, "\43\7\131\106\131\87\0\89\7\131\106\131\42\0\129\44\7\131\106\131\42\0\132\19\7\131\106\131\42\0\0\0\0",
	8851, "\43\7\131\109\131\88\0\89\7\131\109\131\43\0\129\44\7\131\109\131\43\0\132\19\7\131\109\131\43\0\0\0\0",
	9012, "\43\7\131\110\131\89\0\89\7\131\110\131\44\0\129\44\7\131\110\131\44\0\132\19\7\131\110\131\44\0\0\0\0",
	9173, "\43\7\131\113\131\90\0\89\7\131\113\131\45\0\129\44\7\131\113\131\45\0\132\19\7\131\113\131\45\0\0\0\0",
	9334, "\43\7\131\114\131\91\0\89\7\131\114\131\45\0\129\44\7\131\114\131\45\0\132\19\7\131\114\131\45\0\0\0\0",
	9495, "\43\7\131\115\131\92\0\89\7\131\115\131\46\0\129\44\7\131\115\131\46\0\132\19\7\131\115\131\46\0\0\0\0",
	9656, "\44\131\75\0\90\131\30\0\129\45\131\30\0\132\20\131\30\0\0\0\0",
	9817, "\47\8\131\103\131\84\0\93\8\131\103\131\39\0\129\48\8\131\103\131\39\0\132\23\8\131\103\131\39\0\0\0\0",
	9978, "\47\8\131\104\131\85\0\93\8\131\104\131\40\0\129\48\8\131\104\131\40\0\132\23\8\131\104\131\40\0\0\0\0",
	10139, "\47\8\131\105\131\86\0\93\8\131\105\131\41\0\129\48\8\131\105\131\41\0\132\23\8\131\105\131\41\0\0\0\0",
	10300, "\47\8\131\106\131\87\0\93\8\131\106\131\42\0\129\48\8\131\106\131\42\0\132\23\8\131\106\131\42\0\0\0\0",
	10461, "\47\8\131\109\131\88\0\93\8\131\109\131\43\0\129\48\8\131\109\131\43\0\132\23\8\131\109\131\43\0\0\0\0",
	10622, "\47\8\131\110\131\89\0\93\8\131\110\131\44\0\129\48\8\131\110\131\44\0\132\23\8\131\110\131\44\0\0\0\0",
	10783, "\47\8\131\113\131\90\0\93\8\131\113\131\45\0\129\48\8\131\113\131\45\0\132\23\8\131\113\131\45\0\0\0\0",
	10944, "\47\8\131\114\131\91\0\93\8\131\114\131\45\0\129\48\8\131\114\131\45\0\132\23\8\131\114\131\45\0\0\0\0",
	11104, "\47\8\131\115\131\92\0\93\8\131\115\131\46\0\129\48\8\131\115\131\46\0\132\23\8\131\115\131\46\0\0\0\0",
	11265, "\48\131\77\0\94\131\32\0\129\49\131\32\0\132\24\131\32\0\0\0\0",
	11426, "\51\9\131\103\131\84\0\97\9\131\103\131\39\0\129\52\9\131\103\131\39\0\132\27\9\131\103\131\39\0\0\0\0",
	11587, "\51\9\131\104\131\85\0\97\9\131\104\131\40\0\129\52\9\131\104\131\40\0\132\27\9\131\104\131\40\0\0\0\0",
	11748, "\51\9\131\105\131\86\0\97\9\131\105\131\41\0\129\52\9\131\105\131\41\0\132\27\9\131\105\131\41\0\0\0\0",
	11909, "\51\9\131\106\131\87\0\97\9\131\106\131\42\0\129\52\9\131\106\131\42\0\132\27\9\131\106\131\42\0\0\0\0",
	12070, "\51\9\131\109\131\88\0\97\9\131\109\131\43\0\129\52\9\131\109\131\43\0\132\27\9\131\109\131\43\0\0\0\0",
	12231, "\51\9\131\110\131\89\0\97\9\131\110\131\44\0\129\52\9\131\110\131\44\0\132\27\9\131\110\131\44\0\0\0\0",
	12392, "\51\9\131\113\131\90\0\97\9\131\113\131\45\0\129\52\9\131\113\131\45\0\132\27\9\131\113\131\45\0\0\0\0",
	12553, "\51\9\131\114\131\91\0\97\9\131\114\131\45\0\129\52\9\131\114\131\45\0\132\27\9\131\114\131\45\0\0\0\0",
	12714, "\51\9\131\115\131\92\0\97\9\131\115\131\46\0\129\52\9\131\115\131\46\0\132\27\9\131\115\131\46\0\0\0\0",
	12875, "\52\131\79\0\98\131\34\0\129\53\131\34\0\132\28\131\34\0\0\0\0",
	13036, "\55\10\131\103\131\84\0\101\10\131\103\131\39\0\129\56\10\131\103\131\39\0\132\31\10\131\103\131\39\0\0\0\0",
	13197, "\55\10\131\104\131\85\0\101\10\131\104\131\40\0\129\56\10\131\104\131\40\0\132\31\10\131\104\131\40\0\0\0\0",
	13358, "\55\10\131\105\131\86\0\101\10\131\105\131\41\0\129\56\10\131\105\131\41\0\132\31\10\131\105\131\41\0\0\0\0",
	13518, "\55\10\131\106\131\87\0\101\10\131\106\131\42\0\129\56\10\131\106\131\42\0\132\31\10\131\106\131\42\0\0\0\0",
	13679, "\55\10\131\109\131\88\0\101\10\131\109\131\43\0\129\56\10\131\109\131\43\0\132\31\10\131\109\131\43\0\0\0\0",
	13840, "\55\10\131\110\131\89\0\101\10\131\110\131\44\0\129\56\10\131\110\131\44\0\132\31\10\131\110\131\44\0\0\0\0",
	14001, "\55\10\131\113\131\90\0\101\10\131\113\131\45\0\129\56\10\131\113\131\45\0\132\31\10\131\113\131\45\0\0\0\0",
	14162, "\55\10\131\114\131\91\0\101\10\131\114\131\45\0\129\56\10\131\114\131\45\0\132\31\10\131\114\131\45\0\0\0\0",
	14323, "\55\10\131\115\131\92\0\101\10\131\115\131\46\0\129\56\10\131\115\131\46\0\132\31\10\131\115\131\46\0\0\0\0",
	14484, "\56\131\81\0\102\131\36\0\129\57\131\36\0\132\32\131\36\0\0\0\0",
	14645, "\59\11\131\103\131\84\0\105\11\131\103\131\39\0\129\60\11\131\103\131\39\0\132\35\11\131\103\131\39\0\0\0\0",
	14806, "\59\11\131\104\131\85\0\105\11\131\104\131\40\0\129\60\11\131\104\131\40\0\132\35\11\131\104\131\40\0\0\0\0",
	14967, "\59\11\131\105\131\86\0\105\11\131\105\131\41\0\129\60\11\131\105\131\41\0\132\35\11\131\105\131\41\0\0\0\0",
	15128, "\59\11\131\106\131\87\0\105\11\131\106\131\42\0\129\60\11\131\106\131\42\0\132\35\11\131\106\131\42\0\0\0\0",
	15289, "\59\11\131\109\131\88\0\105\11\131\109\131\43\0\129\60\11\131\109\131\43\0\132\35\11\131\109\131\43\0\0\0\0",
	15450, "\59\11\131\110\131\89\0\105\11\131\110\131\44\0\129\60\11\131\110\131\44\0\132\35\11\131\110\131\44\0\0\0\0",
	15611, "\59\11\131\113\131\90\0\105\11\131\113\131\45\0\129\60\11\131\113\131\45\0\132\35\11\131\113\131\45\0\0\0\0",
	15772, "\59\11\131\114\131\91\0\105\11\131\114\131\45\0\129\60\11\131\114\131\45\0\132\35\11\131\114\131\45\0\0\0\0",
	15933, "\59\11\131\115\131\92\0\105\11\131\115\131\46\0\129\60\11\131\115\131\46\0\132\35\11\131\115\131\46\0\0\0\0",
	16093, "\15\131\56\0\61\131\11\0\129\16\131\11\0\131\119\131\11\0\0\0\0",
	17703, "\18\131\58\0\64\131\13\0\129\19\131\13\0\131\122\131\13\0\0\0\0",
	19312, "\19\131\59\0\65\131\14\0\129\20\131\14\0\131\123\131\14\0\0\0\0",
	20921, "\20\131\60\0\66\131\15\0\129\21\131\15\0\131\124\131\15\0\0\0\0",
	22531, "\21\131\61\0\67\131\16\0\129\22\131\16\0\131\125\131\16\0\0\0\0",
	24140, "\22\131\62\0\68\131\17\0\129\23\131\17\0\131\126\131\17\0\0\0\0",
	25750, "\23\131\63\0\69\131\18\0\129\24\131\18\0\131\127\131\18\0\0\0\0",
	27359, "\24\131\64\0\70\131\19\0\129\25\131\19\0\132\0\131\19\0\0\0\0",
	28968, "\25\131\65\0\71\131\20\0\129\26\131\20\0\132\1\131\20\0\0\0\0",
	30578, "\26\131\66\0\72\131\21\0\129\27\131\21\0\132\2\131\21\0\0\0\0",
	32187, "\29\131\68\0\75\131\23\0\129\30\131\23\0\132\5\131\23\0\0\0\0",
	33796, "\125\132\50\131\68\0\111\132\50\131\23\0\129\66\132\50\131\23\0\132\41\132\50\131\23\0\0\0\0",
	35406, "\126\132\50\131\68\0\112\132\50\131\23\0\129\67\132\50\131\23\0\132\42\132\50\131\23\0\0\0\0",
	37015, "\127\132\50\131\68\0\113\132\50\131\23\0\129\68\132\50\131\23\0\132\43\132\50\131\23\0\0\0\0",
	38624, "\129\0\132\50\131\68\0\114\132\50\131\23\0\129\69\132\50\131\23\0\132\44\132\50\131\23\0\0\0\0",
	40234, "\129\1\132\50\131\68\0\115\132\50\131\23\0\129\70\132\50\131\23\0\132\45\132\50\131\23\0\0\0\0",
	41843, "\129\2\132\50\131\68\0\116\132\50\131\23\0\129\71\132\50\131\23\0\132\46\132\50\131\23\0\0\0\0",
	43452, "\129\3\132\50\131\68\0\117\132\50\131\23\0\129\72\132\50\131\23\0\132\47\132\50\131\23\0\0\0\0",
	45062, "\129\4\132\50\131\68\0\118\132\50\131\23\0\129\73\132\50\131\23\0\132\48\132\50\131\23\0\0\0\0",
	46671, "\129\5\132\50\131\68\0\119\132\50\131\23\0\129\74\132\50\131\23\0\132\49\132\50\131\23\0\0\0\0",
	48280, "\33\131\70\0\79\131\25\0\129\34\131\25\0\132\9\131\25\0\0\0\0",
	49890, "\125\132\51\131\70\0\111\132\51\131\25\0\129\66\132\51\131\25\0\132\41\132\51\131\25\0\0\0\0",
	51499, "\126\132\51\131\70\0\112\132\51\131\25\0\129\67\132\51\131\25\0\132\42\132\51\131\25\0\0\0\0",
	53108, "\127\132\51\131\70\0\113\132\51\131\25\0\129\68\132\51\131\25\0\132\43\132\51\131\25\0\0\0\0",
	54718, "\129\0\132\51\131\70\0\114\132\51\131\25\0\129\69\132\51\131\25\0\132\44\132\51\131\25\0\0\0\0",
	56327, "\129\1\132\51\131\70\0\115\132\51\131\25\0\129\70\132\51\131\25\0\132\45\132\51\131\25\0\0\0\0",
	57936, "\129\2\132\51\131\70\0\116\132\51\131\25\0\129\71\132\51\131\25\0\132\46\132\51\131\25\0\0\0\0",
	59546, "\129\3\132\51\131\70\0\117\132\51\131\25\0\129\72\132\51\131\25\0\132\47\132\51\131\25\0\0\0\0",
	61155, "\129\4\132\51\131\70\0\118\132\51\131\25\0\129\73\132\51\131\25\0\132\48\132\51\131\25\0\0\0\0",
	62764, "\129\5\132\51\131\70\0\119\132\51\131\25\0\129\74\132\51\131\25\0\132\49\132\51\131\25\0\0\0\0",
	64374, "\37\131\72\0\83\131\27\0\129\38\131\27\0\132\13\131\27\0\0\0\0",
	65983, "\125\132\52\131\72\0\111\132\52\131\27\0\129\66\132\52\131\27\0\132\41\132\52\131\27\0\0\0\0",
	67592, "\126\132\52\131\72\0\112\132\52\131\27\0\129\67\132\52\131\27\0\132\42\132\52\131\27\0\0\0\0",
	69202, "\127\132\52\131\72\0\113\132\52\131\27\0\129\68\132\52\131\27\0\132\43\132\52\131\27\0\0\0\0",
	70811, "\129\0\132\52\131\72\0\114\132\52\131\27\0\129\69\132\52\131\27\0\132\44\132\52\131\27\0\0\0\0",
	72420, "\129\1\132\52\131\72\0\115\132\52\131\27\0\129\70\132\52\131\27\0\132\45\132\52\131\27\0\0\0\0",
	74030, "\129\2\132\52\131\72\0\116\132\52\131\27\0\129\71\132\52\131\27\0\132\46\132\52\131\27\0\0\0\0",
	75639, "\129\3\132\52\131\72\0\117\132\52\131\27\0\129\72\132\52\131\27\0\132\47\132\52\131\27\0\0\0\0",
	77249, "\129\4\132\52\131\72\0\118\132\52\131\27\0\129\73\132\52\131\27\0\132\48\132\52\131\27\0\0\0\0",
	78858, "\129\5\132\52\131\72\0\119\132\52\131\27\0\129\74\132\52\131\27\0\132\49\132\52\131\27\0\0\0\0",
	80467, "\41\131\74\0\87\131\29\0\129\42\131\29\0\132\17\131\29\0\0\0\0",
	82077, "\125\132\53\131\74\0\111\132\53\131\29\0\129\66\132\53\131\29\0\132\41\132\53\131\29\0\0\0\0",
	83686, "\126\132\53\131\74\0\112\132\53\131\29\0\129\67\132\53\131\29\0\132\42\132\53\131\29\0\0\0\0",
	85295, "\127\132\53\131\74\0\113\132\53\131\29\0\129\68\132\53\131\29\0\132\43\132\53\131\29\0\0\0\0",
	86905, "\129\0\132\53\131\74\0\114\132\53\131\29\0\129\69\132\53\131\29\0\132\44\132\53\131\29\0\0\0\0",
	88514, "\129\1\132\53\131\74\0\115\132\53\131\29\0\129\70\132\53\131\29\0\132\45\132\53\131\29\0\0\0\0",
	90123, "\129\2\132\53\131\74\0\116\132\53\131\29\0\129\71\132\53\131\29\0\132\46\132\53\131\29\0\0\0\0",
	91733, "\129\3\132\53\131\74\0\117\132\53\131\29\0\129\72\132\53\131\29\0\132\47\132\53\131\29\0\0\0\0",
	93342, "\129\4\132\53\131\74\0\118\132\53\131\29\0\129\73\132\53\131\29\0\132\48\132\53\131\29\0\0\0\0",
	94951, "\129\5\132\53\131\74\0\119\132\53\131\29\0\129\74\132\53\131\29\0\132\49\132\53\131\29\0\0\0\0",
	96561, "\45\131\76\0\91\131\31\0\129\46\131\31\0\132\21\131\31\0\0\0\0",
	98170, "\125\132\54\131\76\0\111\132\54\131\31\0\129\66\132\54\131\31\0\132\41\132\54\131\31\0\0\0\0",
	99779, "\126\132\54\131\76\0\112\132\54\131\31\0\129\67\132\54\131\31\0\132\42\132\54\131\31\0\0\0\0",
	101389, "\127\132\54\131\76\0\113\132\54\131\31\0\129\68\132\54\131\31\0\132\43\132\54\131\31\0\0\0\0",
	102998, "\129\0\132\54\131\76\0\114\132\54\131\31\0\129\69\132\54\131\31\0\132\44\132\54\131\31\0\0\0\0",
	104607, "\129\1\132\54\131\76\0\115\132\54\131\31\0\129\70\132\54\131\31\0\132\45\132\54\131\31\0\0\0\0",
	106217, "\129\2\132\54\131\76\0\116\132\54\131\31\0\129\71\132\54\131\31\0\132\46\132\54\131\31\0\0\0\0",
	107826, "\129\3\132\54\131\76\0\117\132\54\131\31\0\129\72\132\54\131\31\0\132\47\132\54\131\31\0\0\0\0",
	109435, "\129\4\132\54\131\76\0\118\132\54\131\31\0\129\73\132\54\131\31\0\132\48\132\54\131\31\0\0\0\0",
	111045, "\129\5\132\54\131\76\0\119\132\54\131\31\0\129\74\132\54\131\31\0\132\49\132\54\131\31\0\0\0\0",
	112654, "\49\131\78\0\95\131\33\0\129\50\131\33\0\132\25\131\33\0\0\0\0",
	114263, "\125\132\55\131\78\0\111\132\55\131\33\0\129\66\132\55\131\33\0\132\41\132\55\131\33\0\0\0\0",
	115873, "\126\132\55\131\78\0\112\132\55\131\33\0\129\67\132\55\131\33\0\132\42\132\55\131\33\0\0\0\0",
	117482, "\127\132\55\131\78\0\113\132\55\131\33\0\129\68\132\55\131\33\0\132\43\132\55\131\33\0\0\0\0",
	119091, "\129\0\132\55\131\78\0\114\132\55\131\33\0\129\69\132\55\131\33\0\132\44\132\55\131\33\0\0\0\0",
	120701, "\129\1\132\55\131\78\0\115\132\55\131\33\0\129\70\132\55\131\33\0\132\45\132\55\131\33\0\0\0\0",
	122310, "\129\2\132\55\131\78\0\116\132\55\131\33\0\129\71\132\55\131\33\0\132\46\132\55\131\33\0\0\0\0",
	123919, "\129\3\132\55\131\78\0\117\132\55\131\33\0\129\72\132\55\131\33\0\132\47\132\55\131\33\0\0\0\0",
	125529, "\129\4\132\55\131\78\0\118\132\55\131\33\0\129\73\132\55\131\33\0\132\48\132\55\131\33\0\0\0\0",
	127138, "\129\5\132\55\131\78\0\119\132\55\131\33\0\129\74\132\55\131\33\0\132\49\132\55\131\33\0\0\0\0",
	128748, "\53\131\80\0\99\131\35\0\129\54\131\35\0\132\29\131\35\0\0\0\0",
	130357, "\125\132\56\131\80\0\111\132\56\131\35\0\129\66\132\56\131\35\0\132\41\132\56\131\35\0\0\0\0",
	131966, "\126\132\56\131\80\0\112\132\56\131\35\0\129\67\132\56\131\35\0\132\42\132\56\131\35\0\0\0\0",
	133576, "\127\132\56\131\80\0\113\132\56\131\35\0\129\68\132\56\131\35\0\132\43\132\56\131\35\0\0\0\0",
	135185, "\129\0\132\56\131\80\0\114\132\56\131\35\0\129\69\132\56\131\35\0\132\44\132\56\131\35\0\0\0\0",
	136794, "\129\1\132\56\131\80\0\115\132\56\131\35\0\129\70\132\56\131\35\0\132\45\132\56\131\35\0\0\0\0",
	138404, "\129\2\132\56\131\80\0\116\132\56\131\35\0\129\71\132\56\131\35\0\132\46\132\56\131\35\0\0\0\0",
	140013, "\129\3\132\56\131\80\0\117\132\56\131\35\0\129\72\132\56\131\35\0\132\47\132\56\131\35\0\0\0\0",
	141622, "\129\4\132\56\131\80\0\118\132\56\131\35\0\129\73\132\56\131\35\0\132\48\132\56\131\35\0\0\0\0",
	143232, "\129\5\132\56\131\80\0\119\132\56\131\35\0\129\74\132\56\131\35\0\132\49\132\56\131\35\0\0\0\0",
	144841, "\57\131\82\0\103\131\37\0\129\58\131\37\0\132\33\131\37\0\0\0\0",
	146450, "\125\132\57\131\82\0\111\132\57\131\37\0\129\66\132\57\131\37\0\132\41\132\57\131\37\0\0\0\0",
	148060, "\126\132\57\131\82\0\112\132\57\131\37\0\129\67\132\57\131\37\0\132\42\132\57\131\37\0\0\0\0",
	149669, "\127\132\57\131\82\0\113\132\57\131\37\0\129\68\132\57\131\37\0\132\43\132\57\131\37\0\0\0\0",
	151278, "\129\0\132\57\131\82\0\114\132\57\131\37\0\129\69\132\57\131\37\0\132\44\132\57\131\37\0\0\0\0",
	152888, "\129\1\132\57\131\82\0\115\132\57\131\37\0\129\70\132\57\131\37\0\132\45\132\57\131\37\0\0\0\0",
	154497, "\129\2\132\57\131\82\0\116\132\57\131\37\0\129\71\132\57\131\37\0\132\46\132\57\131\37\0\0\0\0",
	156106, "\129\3\132\57\131\82\0\117\132\57\131\37\0\129\72\132\57\131\37\0\132\47\132\57\131\37\0\0\0\0",
	157716, "\129\4\132\57\131\82\0\118\132\57\131\37\0\129\73\132\57\131\37\0\132\48\132\57\131\37\0\0\0\0",
	159325, "\129\5\132\57\131\82\0\119\132\57\131\37\0\129\74\132\57\131\37\0\132\49\132\57\131\37\0\0\0\0",
	160934, "\16\131\57\0\62\131\12\0\129\17\131\12\0\131\120\131\12\0\0\0\0",
	177028, "\16\129\6\131\93\0\62\129\6\131\47\0\129\17\129\6\131\47\0\131\120\129\6\131\47\0\0\0\0",
	193121, "\16\129\7\131\94\0\62\129\7\131\48\0\129\17\129\7\131\48\0\131\120\129\7\131\48\0\0\0\0",
	209215, "\16\129\8\131\95\0\62\129\8\131\49\0\129\17\129\8\131\49\0\131\120\129\8\131\49\0\0\0\0",
	225308, "\16\129\9\131\96\0\62\129\9\131\50\0\129\17\129\9\131\50\0\131\120\129\9\131\50\0\0\0\0",
	241402, "\16\129\10\131\97\0\62\129\10\131\51\0\129\17\129\10\131\51\0\131\120\129\10\131\51\0\0\0\0",
	257495, "\16\129\11\131\98\0\62\129\11\131\52\0\129\17\129\11\131\52\0\131\120\129\11\131\52\0\0\0\0",
	273588, "\16\129\12\131\99\0\62\129\12\131\53\0\129\17\129\12\131\53\0\131\120\129\12\131\53\0\0\0\0",
	289682, "\16\129\13\131\100\0\62\129\13\131\54\0\129\17\129\13\131\54\0\131\120\129\13\131\54\0\0\0\0",
	305775, "\16\129\14\131\101\0\62\129\14\131\55\0\129\17\129\14\131\55\0\131\120\129\14\131\55\0\0\0\0",
	321869, "\30\131\57\0\76\131\12\0\129\31\131\12\0\132\6\131\12\0\0\0\0",
	337962, "\30\129\6\131\93\0\76\129\6\131\47\0\129\31\129\6\131\47\0\132\6\129\6\131\47\0\0\0\0",
	354056, "\30\129\7\131\94\0\76\129\7\131\48\0\129\31\129\7\131\48\0\132\6\129\7\131\48\0\0\0\0",
	370149, "\30\129\8\131\95\0\76\129\8\131\49\0\129\31\129\8\131\49\0\132\6\129\8\131\49\0\0\0\0",
	386243, "\30\129\9\131\96\0\76\129\9\131\50\0\129\31\129\9\131\50\0\132\6\129\9\131\50\0\0\0\0",
	402336, "\30\129\10\131\97\0\76\129\10\131\51\0\129\31\129\10\131\51\0\132\6\129\10\131\51\0\0\0\0",
	418429, "\30\129\11\131\98\0\76\129\11\131\52\0\129\31\129\11\131\52\0\132\6\129\11\131\52\0\0\0\0",
	434523, "\30\129\12\131\99\0\76\129\12\131\53\0\129\31\129\12\131\53\0\132\6\129\12\131\53\0\0\0\0",
	450616, "\30\129\13\131\100\0\76\129\13\131\54\0\129\31\129\13\131\54\0\132\6\129\13\131\54\0\0\0\0",
	466710, "\30\129\14\131\101\0\76\129\14\131\55\0\129\31\129\14\131\55\0\132\6\129\14\131\55\0\0\0\0",
	482803, "\34\131\57\0\80\131\12\0\129\35\131\12\0\132\10\131\12\0\0\0\0",
	498897, "\34\129\6\131\93\0\80\129\6\131\47\0\129\35\129\6\131\47\0\132\10\129\6\131\47\0\0\0\0",
	514990, "\34\129\7\131\94\0\80\129\7\131\48\0\129\35\129\7\131\48\0\132\10\129\7\131\48\0\0\0\0",
	531084, "\34\129\8\131\95\0\80\129\8\131\49\0\129\35\129\8\131\49\0\132\10\129\8\131\49\0\0\0\0",
	547177, "\34\129\9\131\96\0\80\129\9\131\50\0\129\35\129\9\131\50\0\132\10\129\9\131\50\0\0\0\0",
	563270, "\34\129\10\131\97\0\80\129\10\131\51\0\129\35\129\10\131\51\0\132\10\129\10\131\51\0\0\0\0",
	579364, "\34\129\11\131\98\0\80\129\11\131\52\0\129\35\129\11\131\52\0\132\10\129\11\131\52\0\0\0\0",
	595457, "\34\129\12\131\99\0\80\129\12\131\53\0\129\35\129\12\131\53\0\132\10\129\12\131\53\0\0\0\0",
	611551, "\34\129\13\131\100\0\80\129\13\131\54\0\129\35\129\13\131\54\0\132\10\129\13\131\54\0\0\0\0",
	627644, "\34\129\14\131\101\0\80\129\14\131\55\0\129\35\129\14\131\55\0\132\10\129\14\131\55\0\0\0\0",
	643738, "\38\131\57\0\84\131\12\0\129\39\131\12\0\132\14\131\12\0\0\0\0",
	659831, "\38\129\6\131\93\0\84\129\6\131\47\0\129\39\129\6\131\47\0\132\14\129\6\131\47\0\0\0\0",
	675924, "\38\129\7\131\94\0\84\129\7\131\48\0\129\39\129\7\131\48\0\132\14\129\7\131\48\0\0\0\0",
	692018, "\38\129\8\131\95\0\84\129\8\131\49\0\129\39\129\8\131\49\0\132\14\129\8\131\49\0\0\0\0",
	708111, "\38\129\9\131\96\0\84\129\9\131\50\0\129\39\129\9\131\50\0\132\14\129\9\131\50\0\0\0\0",
	724205, "\38\129\10\131\97\0\84\129\10\131\51\0\129\39\129\10\131\51\0\132\14\129\10\131\51\0\0\0\0",
	740298, "\38\129\11\131\98\0\84\129\11\131\52\0\129\39\129\11\131\52\0\132\14\129\11\131\52\0\0\0\0",
	756392, "\38\129\12\131\99\0\84\129\12\131\53\0\129\39\129\12\131\53\0\132\14\129\12\131\53\0\0\0\0",
	772485, "\38\129\13\131\100\0\84\129\13\131\54\0\129\39\129\13\131\54\0\132\14\129\13\131\54\0\0\0\0",
	788579, "\38\129\14\131\101\0\84\129\14\131\55\0\129\39\129\14\131\55\0\132\14\129\14\131\55\0\0\0\0",
	804672, "\42\131\57\0\88\131\12\0\129\43\131\12\0\132\18\131\12\0\0\0\0",
	820765, "\123\131\102\131\83\0\109\131\102\131\38\0\129\64\131\102\131\38\0\132\39\131\102\131\38\0\0\0\0",
}

distances.yards = {
	9, "\15\132\77\0\61\132\58\0\129\16\132\58\0\131\119\132\58\0\0\0\0",
	18, "\29\132\79\0\75\132\60\0\129\30\132\60\0\132\5\132\60\0\0\0\0",
	27, "\33\132\80\0\79\132\61\0\129\34\132\61\0\132\9\132\61\0\0\0\0",
	37, "\37\132\81\0\83\132\62\0\129\38\132\62\0\132\13\132\62\0\0\0\0",
	46, "\41\132\82\0\87\132\63\0\129\42\132\63\0\132\17\132\63\0\0\0\0",
	55, "\45\132\83\0\91\132\64\0\129\46\132\64\0\132\21\132\64\0\0\0\0",
	64, "\49\132\84\0\95\132\65\0\129\50\132\65\0\132\25\132\65\0\0\0\0",
	73, "\53\132\85\0\99\132\66\0\129\54\132\66\0\132\29\132\66\0\0\0\0",
	82, "\57\132\86\0\103\132\67\0\129\58\132\67\0\132\33\132\67\0\0\0\0",
	91, "\16\132\78\0\62\132\59\0\129\17\132\59\0\131\120\132\59\0\0\0\0",
	101, "\16\129\6\132\87\0\62\129\6\132\68\0\129\17\129\6\132\68\0\131\120\129\6\132\68\0\0\0\0",
	110, "\16\129\7\132\88\0\62\129\7\132\69\0\129\17\129\7\132\69\0\131\120\129\7\132\69\0\0\0\0",
	119, "\16\129\8\132\89\0\62\129\8\132\70\0\129\17\129\8\132\70\0\131\120\129\8\132\70\0\0\0\0",
	128, "\16\129\9\132\90\0\62\129\9\132\71\0\129\17\129\9\132\71\0\131\120\129\9\132\71\0\0\0\0",
	137, "\16\129\10\132\91\0\62\129\10\132\72\0\129\17\129\10\132\72\0\131\120\129\10\132\72\0\0\0\0",
	146, "\16\129\11\132\92\0\62\129\11\132\73\0\129\17\129\11\132\73\0\131\120\129\11\132\73\0\0\0\0",
	155, "\16\129\12\132\93\0\62\129\12\132\74\0\129\17\129\12\132\74\0\131\120\129\12\132\74\0\0\0\0",
	165, "\16\129\13\132\94\0\62\129\13\132\75\0\129\17\129\13\132\75\0\131\120\129\13\132\75\0\0\0\0",
	174, "\16\129\14\132\95\0\62\129\14\132\76\0\129\17\129\14\132\76\0\131\120\129\14\132\76\0\0\0\0",
	183, "\30\132\78\0\76\132\59\0\129\31\132\59\0\132\6\132\59\0\0\0\0",
	192, "\30\129\6\132\87\0\76\129\6\132\68\0\129\31\129\6\132\68\0\132\6\129\6\132\68\0\0\0\0",
	201, "\30\129\7\132\88\0\76\129\7\132\69\0\129\31\129\7\132\69\0\132\6\129\7\132\69\0\0\0\0",
	210, "\30\129\8\132\89\0\76\129\8\132\70\0\129\31\129\8\132\70\0\132\6\129\8\132\70\0\0\0\0",
	219, "\30\129\9\132\90\0\76\129\9\132\71\0\129\31\129\9\132\71\0\132\6\129\9\132\71\0\0\0\0",
	229, "\30\129\10\132\91\0\76\129\10\132\72\0\129\31\129\10\132\72\0\132\6\129\10\132\72\0\0\0\0",
	238, "\30\129\11\132\92\0\76\129\11\132\73\0\129\31\129\11\132\73\0\132\6\129\11\132\73\0\0\0\0",
	247, "\30\129\12\132\93\0\76\129\12\132\74\0\129\31\129\12\132\74\0\132\6\129\12\132\74\0\0\0\0",
	256, "\30\129\13\132\94\0\76\129\13\132\75\0\129\31\129\13\132\75\0\132\6\129\13\132\75\0\0\0\0",
	265, "\30\129\14\132\95\0\76\129\14\132\76\0\129\31\129\14\132\76\0\132\6\129\14\132\76\0\0\0\0",
	274, "\34\132\78\0\80\132\59\0\129\35\132\59\0\132\10\132\59\0\0\0\0",
	283, "\34\129\6\132\87\0\80\129\6\132\68\0\129\35\129\6\132\68\0\132\10\129\6\132\68\0\0\0\0",
	293, "\34\129\7\132\88\0\80\129\7\132\69\0\129\35\129\7\132\69\0\132\10\129\7\132\69\0\0\0\0",
	302, "\34\129\8\132\89\0\80\129\8\132\70\0\129\35\129\8\132\70\0\132\10\129\8\132\70\0\0\0\0",
	311, "\34\129\9\132\90\0\80\129\9\132\71\0\129\35\129\9\132\71\0\132\10\129\9\132\71\0\0\0\0",
	320, "\34\129\10\132\91\0\80\129\10\132\72\0\129\35\129\10\132\72\0\132\10\129\10\132\72\0\0\0\0",
	329, "\34\129\11\132\92\0\80\129\11\132\73\0\129\35\129\11\132\73\0\132\10\129\11\132\73\0\0\0\0",
	338, "\34\129\12\132\93\0\80\129\12\132\74\0\129\35\129\12\132\74\0\132\10\129\12\132\74\0\0\0\0",
	347, "\34\129\13\132\94\0\80\129\13\132\75\0\129\35\129\13\132\75\0\132\10\129\13\132\75\0\0\0\0",
	357, "\34\129\14\132\95\0\80\129\14\132\76\0\129\35\129\14\132\76\0\132\10\129\14\132\76\0\0\0\0",
	366, "\38\132\78\0\84\132\59\0\129\39\132\59\0\132\14\132\59\0\0\0\0",
	402, "\121\13\0\107\12\0\129\62\12\0\132\37\12\0\0\0\0",
	644, "\124\131\108\0\110\131\107\0\129\65\131\107\0\132\40\131\107\0\0\0\0",
	805, "\122\129\84\0\108\129\83\0\129\63\129\83\0\132\38\129\83\0\0\0\0",
	966, "\124\131\112\0\110\131\111\0\129\65\131\111\0\132\40\131\111\0\0\0\0",
	1127, "\120\5\0\106\4\0\129\61\4\0\132\36\4\0\0\0\0",
	1448, "\124\131\117\0\110\131\116\0\129\65\131\116\0\132\40\131\116\0\0\0\0",
	1609, "\14\131\10\0\60\131\9\0\129\15\131\8\0\131\118\131\8\0\0\0\0",
	1770, "\27\1\131\103\131\84\0\73\1\131\103\131\39\0\129\28\1\131\103\131\39\0\132\3\1\131\103\131\39\0\0\0\0",
	1931, "\27\1\131\104\131\85\0\73\1\131\104\131\40\0\129\28\1\131\104\131\40\0\132\3\1\131\104\131\40\0\0\0\0",
	2092, "\27\1\131\105\131\86\0\73\1\131\105\131\41\0\129\28\1\131\105\131\41\0\132\3\1\131\105\131\41\0\0\0\0",
	2253, "\27\1\131\106\131\87\0\73\1\131\106\131\42\0\129\28\1\131\106\131\42\0\132\3\1\131\106\131\42\0\0\0\0",
	2414, "\27\1\131\109\131\88\0\73\1\131\109\131\43\0\129\28\1\131\109\131\43\0\132\3\1\131\109\131\43\0\0\0\0",
	2575, "\27\1\131\110\131\89\0\73\1\131\110\131\44\0\129\28\1\131\110\131\44\0\132\3\1\131\110\131\44\0\0\0\0",
	2736, "\27\1\131\113\131\90\0\73\1\131\113\131\45\0\129\28\1\131\113\131\45\0\132\3\1\131\113\131\45\0\0\0\0",
	2897, "\27\1\131\114\131\91\0\73\1\131\114\131\45\0\129\28\1\131\114\131\45\0\132\3\1\131\114\131\45\0\0\0\0",
	3058, "\27\1\131\115\131\92\0\73\1\131\115\131\46\0\129\28\1\131\115\131\46\0\132\3\1\131\115\131\46\0\0\0\0",
	3219, "\28\131\67\0\74\131\22\0\129\29\131\22\0\132\4\131\22\0\0\0\0",
	3380, "\31\2\131\103\131\84\0\77\2\131\103\131\39\0\129\32\2\131\103\131\39\0\132\7\2\131\103\131\39\0\0\0\0",
	3541, "\31\2\131\104\131\85\0\77\2\131\104\131\40\0\129\32\2\131\104\131\40\0\132\7\2\131\104\131\40\0\0\0\0",
	3701, "\31\2\131\105\131\86\0\77\2\131\105\131\41\0\129\32\2\131\105\131\41\0\132\7\2\131\105\131\41\0\0\0\0",
	3862, "\31\2\131\106\131\87\0\77\2\131\106\131\42\0\129\32\2\131\106\131\42\0\132\7\2\131\106\131\42\0\0\0\0",
	4023, "\31\2\131\109\131\88\0\77\2\131\109\131\43\0\129\32\2\131\109\131\43\0\132\7\2\131\109\131\43\0\0\0\0",
	4184, "\31\2\131\110\131\89\0\77\2\131\110\131\44\0\129\32\2\131\110\131\44\0\132\7\2\131\110\131\44\0\0\0\0",
	4345, "\31\2\131\113\131\90\0\77\2\131\113\131\45\0\129\32\2\131\113\131\45\0\132\7\2\131\113\131\45\0\0\0\0",
	4506, "\31\2\131\114\131\91\0\77\2\131\114\131\45\0\129\32\2\131\114\131\45\0\132\7\2\131\114\131\45\0\0\0\0",
	4667, "\31\2\131\115\131\92\0\77\2\131\115\131\46\0\129\32\2\131\115\131\46\0\132\7\2\131\115\131\46\0\0\0\0",
	4828, "\32\131\69\0\78\131\24\0\129\33\131\24\0\132\8\131\24\0\0\0\0",
	4989, "\35\3\131\103\131\84\0\81\3\131\103\131\39\0\129\36\3\131\103\131\39\0\132\11\3\131\103\131\39\0\0\0\0",
	5150, "\35\3\131\104\131\85\0\81\3\131\104\131\40\0\129\36\3\131\104\131\40\0\132\11\3\131\104\131\40\0\0\0\0",
	5311, "\35\3\131\105\131\86\0\81\3\131\105\131\41\0\129\36\3\131\105\131\41\0\132\11\3\131\105\131\41\0\0\0\0",
	5472, "\35\3\131\106\131\87\0\81\3\131\106\131\42\0\129\36\3\131\106\131\42\0\132\11\3\131\106\131\42\0\0\0\0",
	5633, "\35\3\131\109\131\88\0\81\3\131\109\131\43\0\129\36\3\131\109\131\43\0\132\11\3\131\109\131\43\0\0\0\0",
	5794, "\35\3\131\110\131\89\0\81\3\131\110\131\44\0\129\36\3\131\110\131\44\0\132\11\3\131\110\131\44\0\0\0\0",
	5955, "\35\3\131\113\131\90\0\81\3\131\113\131\45\0\129\36\3\131\113\131\45\0\132\11\3\131\113\131\45\0\0\0\0",
	6116, "\35\3\131\114\131\91\0\81\3\131\114\131\45\0\129\36\3\131\114\131\45\0\132\11\3\131\114\131\45\0\0\0\0",
	6276, "\35\3\131\115\131\92\0\81\3\131\115\131\46\0\129\36\3\131\115\131\46\0\132\11\3\131\115\131\46\0\0\0\0",
	6437, "\36\131\71\0\82\131\26\0\129\37\131\26\0\132\12\131\26\0\0\0\0",
	6598, "\39\6\131\103\131\84\0\85\6\131\103\131\39\0\129\40\6\131\103\131\39\0\132\15\6\131\103\131\39\0\0\0\0",
	6759, "\39\6\131\104\131\85\0\85\6\131\104\131\40\0\129\40\6\131\104\131\40\0\132\15\6\131\104\131\40\0\0\0\0",
	6920, "\39\6\131\105\131\86\0\85\6\131\105\131\41\0\129\40\6\131\105\131\41\0\132\15\6\131\105\131\41\0\0\0\0",
	7081, "\39\6\131\106\131\87\0\85\6\131\106\131\42\0\129\40\6\131\106\131\42\0\132\15\6\131\106\131\42\0\0\0\0",
	7242, "\39\6\131\109\131\88\0\85\6\131\109\131\43\0\129\40\6\131\109\131\43\0\132\15\6\131\109\131\43\0\0\0\0",
	7403, "\39\6\131\110\131\89\0\85\6\131\110\131\44\0\129\40\6\131\110\131\44\0\132\15\6\131\110\131\44\0\0\0\0",
	7564, "\39\6\131\113\131\90\0\85\6\131\113\131\45\0\129\40\6\131\113\131\45\0\132\15\6\131\113\131\45\0\0\0\0",
	7725, "\39\6\131\114\131\91\0\85\6\131\114\131\45\0\129\40\6\131\114\131\45\0\132\15\6\131\114\131\45\0\0\0\0",
	7886, "\39\6\131\115\131\92\0\85\6\131\115\131\46\0\129\40\6\131\115\131\46\0\132\15\6\131\115\131\46\0\0\0\0",
	8047, "\40\131\73\0\86\131\28\0\129\41\131\28\0\132\16\131\28\0\0\0\0",
	8208, "\43\7\131\103\131\84\0\89\7\131\103\131\39\0\129\44\7\131\103\131\39\0\132\19\7\131\103\131\39\0\0\0\0",
	8369, "\43\7\131\104\131\85\0\89\7\131\104\131\40\0\129\44\7\131\104\131\40\0\132\19\7\131\104\131\40\0\0\0\0",
	8530, "\43\7\131\105\131\86\0\89\7\131\105\131\41\0\129\44\7\131\105\131\41\0\132\19\7\131\105\131\41\0\0\0\0",
	8690, "\43\7\131\106\131\87\0\89\7\131\106\131\42\0\129\44\7\131\106\131\42\0\132\19\7\131\106\131\42\0\0\0\0",
	8851, "\43\7\131\109\131\88\0\89\7\131\109\131\43\0\129\44\7\131\109\131\43\0\132\19\7\131\109\131\43\0\0\0\0",
	9012, "\43\7\131\110\131\89\0\89\7\131\110\131\44\0\129\44\7\131\110\131\44\0\132\19\7\131\110\131\44\0\0\0\0",
	9173, "\43\7\131\113\131\90\0\89\7\131\113\131\45\0\129\44\7\131\113\131\45\0\132\19\7\131\113\131\45\0\0\0\0",
	9334, "\43\7\131\114\131\91\0\89\7\131\114\131\45\0\129\44\7\131\114\131\45\0\132\19\7\131\114\131\45\0\0\0\0",
	9495, "\43\7\131\115\131\92\0\89\7\131\115\131\46\0\129\44\7\131\115\131\46\0\132\19\7\131\115\131\46\0\0\0\0",
	9656, "\44\131\75\0\90\131\30\0\129\45\131\30\0\132\20\131\30\0\0\0\0",
	9817, "\47\8\131\103\131\84\0\93\8\131\103\131\39\0\129\48\8\131\103\131\39\0\132\23\8\131\103\131\39\0\0\0\0",
	9978, "\47\8\131\104\131\85\0\93\8\131\104\131\40\0\129\48\8\131\104\131\40\0\132\23\8\131\104\131\40\0\0\0\0",
	10139, "\47\8\131\105\131\86\0\93\8\131\105\131\41\0\129\48\8\131\105\131\41\0\132\23\8\131\105\131\41\0\0\0\0",
	10300, "\47\8\131\106\131\87\0\93\8\131\106\131\42\0\129\48\8\131\106\131\42\0\132\23\8\131\106\131\42\0\0\0\0",
	10461, "\47\8\131\109\131\88\0\93\8\131\109\131\43\0\129\48\8\131\109\131\43\0\132\23\8\131\109\131\43\0\0\0\0",
	10622, "\47\8\131\110\131\89\0\93\8\131\110\131\44\0\129\48\8\131\110\131\44\0\132\23\8\131\110\131\44\0\0\0\0",
	10783, "\47\8\131\113\131\90\0\93\8\131\113\131\45\0\129\48\8\131\113\131\45\0\132\23\8\131\113\131\45\0\0\0\0",
	10944, "\47\8\131\114\131\91\0\93\8\131\114\131\45\0\129\48\8\131\114\131\45\0\132\23\8\131\114\131\45\0\0\0\0",
	11104, "\47\8\131\115\131\92\0\93\8\131\115\131\46\0\129\48\8\131\115\131\46\0\132\23\8\131\115\131\46\0\0\0\0",
	11265, "\48\131\77\0\94\131\32\0\129\49\131\32\0\132\24\131\32\0\0\0\0",
	11426, "\51\9\131\103\131\84\0\97\9\131\103\131\39\0\129\52\9\131\103\131\39\0\132\27\9\131\103\131\39\0\0\0\0",
	11587, "\51\9\131\104\131\85\0\97\9\131\104\131\40\0\129\52\9\131\104\131\40\0\132\27\9\131\104\131\40\0\0\0\0",
	11748, "\51\9\131\105\131\86\0\97\9\131\105\131\41\0\129\52\9\131\105\131\41\0\132\27\9\131\105\131\41\0\0\0\0",
	11909, "\51\9\131\106\131\87\0\97\9\131\106\131\42\0\129\52\9\131\106\131\42\0\132\27\9\131\106\131\42\0\0\0\0",
	12070, "\51\9\131\109\131\88\0\97\9\131\109\131\43\0\129\52\9\131\109\131\43\0\132\27\9\131\109\131\43\0\0\0\0",
	12231, "\51\9\131\110\131\89\0\97\9\131\110\131\44\0\129\52\9\131\110\131\44\0\132\27\9\131\110\131\44\0\0\0\0",
	12392, "\51\9\131\113\131\90\0\97\9\131\113\131\45\0\129\52\9\131\113\131\45\0\132\27\9\131\113\131\45\0\0\0\0",
	12553, "\51\9\131\114\131\91\0\97\9\131\114\131\45\0\129\52\9\131\114\131\45\0\132\27\9\131\114\131\45\0\0\0\0",
	12714, "\51\9\131\115\131\92\0\97\9\131\115\131\46\0\129\52\9\131\115\131\46\0\132\27\9\131\115\131\46\0\0\0\0",
	12875, "\52\131\79\0\98\131\34\0\129\53\131\34\0\132\28\131\34\0\0\0\0",
	13036, "\55\10\131\103\131\84\0\101\10\131\103\131\39\0\129\56\10\131\103\131\39\0\132\31\10\131\103\131\39\0\0\0\0",
	13197, "\55\10\131\104\131\85\0\101\10\131\104\131\40\0\129\56\10\131\104\131\40\0\132\31\10\131\104\131\40\0\0\0\0",
	13358, "\55\10\131\105\131\86\0\101\10\131\105\131\41\0\129\56\10\131\105\131\41\0\132\31\10\131\105\131\41\0\0\0\0",
	13518, "\55\10\131\106\131\87\0\101\10\131\106\131\42\0\129\56\10\131\106\131\42\0\132\31\10\131\106\131\42\0\0\0\0",
	13679, "\55\10\131\109\131\88\0\101\10\131\109\131\43\0\129\56\10\131\109\131\43\0\132\31\10\131\109\131\43\0\0\0\0",
	13840, "\55\10\131\110\131\89\0\101\10\131\110\131\44\0\129\56\10\131\110\131\44\0\132\31\10\131\110\131\44\0\0\0\0",
	14001, "\55\10\131\113\131\90\0\101\10\131\113\131\45\0\129\56\10\131\113\131\45\0\132\31\10\131\113\131\45\0\0\0\0",
	14162, "\55\10\131\114\131\91\0\101\10\131\114\131\45\0\129\56\10\131\114\131\45\0\132\31\10\131\114\131\45\0\0\0\0",
	14323, "\55\10\131\115\131\92\0\101\10\131\115\131\46\0\129\56\10\131\115\131\46\0\132\31\10\131\115\131\46\0\0\0\0",
	14484, "\56\131\81\0\102\131\36\0\129\57\131\36\0\132\32\131\36\0\0\0\0",
	14645, "\59\11\131\103\131\84\0\105\11\131\103\131\39\0\129\60\11\131\103\131\39\0\132\35\11\131\103\131\39\0\0\0\0",
	14806, "\59\11\131\104\131\85\0\105\11\131\104\131\40\0\129\60\11\131\104\131\40\0\132\35\11\131\104\131\40\0\0\0\0",
	14967, "\59\11\131\105\131\86\0\105\11\131\105\131\41\0\129\60\11\131\105\131\41\0\132\35\11\131\105\131\41\0\0\0\0",
	15128, "\59\11\131\106\131\87\0\105\11\131\106\131\42\0\129\60\11\131\106\131\42\0\132\35\11\131\106\131\42\0\0\0\0",
	15289, "\59\11\131\109\131\88\0\105\11\131\109\131\43\0\129\60\11\131\109\131\43\0\132\35\11\131\109\131\43\0\0\0\0",
	15450, "\59\11\131\110\131\89\0\105\11\131\110\131\44\0\129\60\11\131\110\131\44\0\132\35\11\131\110\131\44\0\0\0\0",
	15611, "\59\11\131\113\131\90\0\105\11\131\113\131\45\0\129\60\11\131\113\131\45\0\132\35\11\131\113\131\45\0\0\0\0",
	15772, "\59\11\131\114\131\91\0\105\11\131\114\131\45\0\129\60\11\131\114\131\45\0\132\35\11\131\114\131\45\0\0\0\0",
	15933, "\59\11\131\115\131\92\0\105\11\131\115\131\46\0\129\60\11\131\115\131\46\0\132\35\11\131\115\131\46\0\0\0\0",
	16093, "\15\131\56\0\61\131\11\0\129\16\131\11\0\131\119\131\11\0\0\0\0",
	17703, "\18\131\58\0\64\131\13\0\129\19\131\13\0\131\122\131\13\0\0\0\0",
	19312, "\19\131\59\0\65\131\14\0\129\20\131\14\0\131\123\131\14\0\0\0\0",
	20921, "\20\131\60\0\66\131\15\0\129\21\131\15\0\131\124\131\15\0\0\0\0",
	22531, "\21\131\61\0\67\131\16\0\129\22\131\16\0\131\125\131\16\0\0\0\0",
	24140, "\22\131\62\0\68\131\17\0\129\23\131\17\0\131\126\131\17\0\0\0\0",
	25750, "\23\131\63\0\69\131\18\0\129\24\131\18\0\131\127\131\18\0\0\0\0",
	27359, "\24\131\64\0\70\131\19\0\129\25\131\19\0\132\0\131\19\0\0\0\0",
	28968, "\25\131\65\0\71\131\20\0\129\26\131\20\0\132\1\131\20\0\0\0\0",
	30578, "\26\131\66\0\72\131\21\0\129\27\131\21\0\132\2\131\21\0\0\0\0",
	32187, "\29\131\68\0\75\131\23\0\129\30\131\23\0\132\5\131\23\0\0\0\0",
	33796, "\125\132\50\131\68\0\111\132\50\131\23\0\129\66\132\50\131\23\0\132\41\132\50\131\23\0\0\0\0",
	35406, "\126\132\50\131\68\0\112\132\50\131\23\0\129\67\132\50\131\23\0\132\42\132\50\131\23\0\0\0\0",
	37015, "\127\132\50\131\68\0\113\132\50\131\23\0\129\68\132\50\131\23\0\132\43\132\50\131\23\0\0\0\0",
	38624, "\129\0\132\50\131\68\0\114\132\50\131\23\0\129\69\132\50\131\23\0\132\44\132\50\131\23\0\0\0\0",
	40234, "\129\1\132\50\131\68\0\115\132\50\131\23\0\129\70\132\50\131\23\0\132\45\132\50\131\23\0\0\0\0",
	41843, "\129\2\132\50\131\68\0\116\132\50\131\23\0\129\71\132\50\131\23\0\132\46\132\50\131\23\0\0\0\0",
	43452, "\129\3\132\50\131\68\0\117\132\50\131\23\0\129\72\132\50\131\23\0\132\47\132\50\131\23\0\0\0\0",
	45062, "\129\4\132\50\131\68\0\118\132\50\131\23\0\129\73\132\50\131\23\0\132\48\132\50\131\23\0\0\0\0",
	46671, "\129\5\132\50\131\68\0\119\132\50\131\23\0\129\74\132\50\131\23\0\132\49\132\50\131\23\0\0\0\0",
	48280, "\33\131\70\0\79\131\25\0\129\34\131\25\0\132\9\131\25\0\0\0\0",
	49890, "\125\132\51\131\70\0\111\132\51\131\25\0\129\66\132\51\131\25\0\132\41\132\51\131\25\0\0\0\0",
	51499, "\126\132\51\131\70\0\112\132\51\131\25\0\129\67\132\51\131\25\0\132\42\132\51\131\25\0\0\0\0",
	53108, "\127\132\51\131\70\0\113\132\51\131\25\0\129\68\132\51\131\25\0\132\43\132\51\131\25\0\0\0\0",
	54718, "\129\0\132\51\131\70\0\114\132\51\131\25\0\129\69\132\51\131\25\0\132\44\132\51\131\25\0\0\0\0",
	56327, "\129\1\132\51\131\70\0\115\132\51\131\25\0\129\70\132\51\131\25\0\132\45\132\51\131\25\0\0\0\0",
	57936, "\129\2\132\51\131\70\0\116\132\51\131\25\0\129\71\132\51\131\25\0\132\46\132\51\131\25\0\0\0\0",
	59546, "\129\3\132\51\131\70\0\117\132\51\131\25\0\129\72\132\51\131\25\0\132\47\132\51\131\25\0\0\0\0",
	61155, "\129\4\132\51\131\70\0\118\132\51\131\25\0\129\73\132\51\131\25\0\132\48\132\51\131\25\0\0\0\0",
	62764, "\129\5\132\51\131\70\0\119\132\51\131\25\0\129\74\132\51\131\25\0\132\49\132\51\131\25\0\0\0\0",
	64374, "\37\131\72\0\83\131\27\0\129\38\131\27\0\132\13\131\27\0\0\0\0",
	65983, "\125\132\52\131\72\0\111\132\52\131\27\0\129\66\132\52\131\27\0\132\41\132\52\131\27\0\0\0\0",
	67592, "\126\132\52\131\72\0\112\132\52\131\27\0\129\67\132\52\131\27\0\132\42\132\52\131\27\0\0\0\0",
	69202, "\127\132\52\131\72\0\113\132\52\131\27\0\129\68\132\52\131\27\0\132\43\132\52\131\27\0\0\0\0",
	70811, "\129\0\132\52\131\72\0\114\132\52\131\27\0\129\69\132\52\131\27\0\132\44\132\52\131\27\0\0\0\0",
	72420, "\129\1\132\52\131\72\0\115\132\52\131\27\0\129\70\132\52\131\27\0\132\45\132\52\131\27\0\0\0\0",
	74030, "\129\2\132\52\131\72\0\116\132\52\131\27\0\129\71\132\52\131\27\0\132\46\132\52\131\27\0\0\0\0",
	75639, "\129\3\132\52\131\72\0\117\132\52\131\27\0\129\72\132\52\131\27\0\132\47\132\52\131\27\0\0\0\0",
	77249, "\129\4\132\52\131\72\0\118\132\52\131\27\0\129\73\132\52\131\27\0\132\48\132\52\131\27\0\0\0\0",
	78858, "\129\5\132\52\131\72\0\119\132\52\131\27\0\129\74\132\52\131\27\0\132\49\132\52\131\27\0\0\0\0",
	80467, "\41\131\74\0\87\131\29\0\129\42\131\29\0\132\17\131\29\0\0\0\0",
	82077, "\125\132\53\131\74\0\111\132\53\131\29\0\129\66\132\53\131\29\0\132\41\132\53\131\29\0\0\0\0",
	83686, "\126\132\53\131\74\0\112\132\53\131\29\0\129\67\132\53\131\29\0\132\42\132\53\131\29\0\0\0\0",
	85295, "\127\132\53\131\74\0\113\132\53\131\29\0\129\68\132\53\131\29\0\132\43\132\53\131\29\0\0\0\0",
	86905, "\129\0\132\53\131\74\0\114\132\53\131\29\0\129\69\132\53\131\29\0\132\44\132\53\131\29\0\0\0\0",
	88514, "\129\1\132\53\131\74\0\115\132\53\131\29\0\129\70\132\53\131\29\0\132\45\132\53\131\29\0\0\0\0",
	90123, "\129\2\132\53\131\74\0\116\132\53\131\29\0\129\71\132\53\131\29\0\132\46\132\53\131\29\0\0\0\0",
	91733, "\129\3\132\53\131\74\0\117\132\53\131\29\0\129\72\132\53\131\29\0\132\47\132\53\131\29\0\0\0\0",
	93342, "\129\4\132\53\131\74\0\118\132\53\131\29\0\129\73\132\53\131\29\0\132\48\132\53\131\29\0\0\0\0",
	94951, "\129\5\132\53\131\74\0\119\132\53\131\29\0\129\74\132\53\131\29\0\132\49\132\53\131\29\0\0\0\0",
	96561, "\45\131\76\0\91\131\31\0\129\46\131\31\0\132\21\131\31\0\0\0\0",
	98170, "\125\132\54\131\76\0\111\132\54\131\31\0\129\66\132\54\131\31\0\132\41\132\54\131\31\0\0\0\0",
	99779, "\126\132\54\131\76\0\112\132\54\131\31\0\129\67\132\54\131\31\0\132\42\132\54\131\31\0\0\0\0",
	101389, "\127\132\54\131\76\0\113\132\54\131\31\0\129\68\132\54\131\31\0\132\43\132\54\131\31\0\0\0\0",
	102998, "\129\0\132\54\131\76\0\114\132\54\131\31\0\129\69\132\54\131\31\0\132\44\132\54\131\31\0\0\0\0",
	104607, "\129\1\132\54\131\76\0\115\132\54\131\31\0\129\70\132\54\131\31\0\132\45\132\54\131\31\0\0\0\0",
	106217, "\129\2\132\54\131\76\0\116\132\54\131\31\0\129\71\132\54\131\31\0\132\46\132\54\131\31\0\0\0\0",
	107826, "\129\3\132\54\131\76\0\117\132\54\131\31\0\129\72\132\54\131\31\0\132\47\132\54\131\31\0\0\0\0",
	109435, "\129\4\132\54\131\76\0\118\132\54\131\31\0\129\73\132\54\131\31\0\132\48\132\54\131\31\0\0\0\0",
	111045, "\129\5\132\54\131\76\0\119\132\54\131\31\0\129\74\132\54\131\31\0\132\49\132\54\131\31\0\0\0\0",
	112654, "\49\131\78\0\95\131\33\0\129\50\131\33\0\132\25\131\33\0\0\0\0",
	114263, "\125\132\55\131\78\0\111\132\55\131\33\0\129\66\132\55\131\33\0\132\41\132\55\131\33\0\0\0\0",
	115873, "\126\132\55\131\78\0\112\132\55\131\33\0\129\67\132\55\131\33\0\132\42\132\55\131\33\0\0\0\0",
	117482, "\127\132\55\131\78\0\113\132\55\131\33\0\129\68\132\55\131\33\0\132\43\132\55\131\33\0\0\0\0",
	119091, "\129\0\132\55\131\78\0\114\132\55\131\33\0\129\69\132\55\131\33\0\132\44\132\55\131\33\0\0\0\0",
	120701, "\129\1\132\55\131\78\0\115\132\55\131\33\0\129\70\132\55\131\33\0\132\45\132\55\131\33\0\0\0\0",
	122310, "\129\2\132\55\131\78\0\116\132\55\131\33\0\129\71\132\55\131\33\0\132\46\132\55\131\33\0\0\0\0",
	123919, "\129\3\132\55\131\78\0\117\132\55\131\33\0\129\72\132\55\131\33\0\132\47\132\55\131\33\0\0\0\0",
	125529, "\129\4\132\55\131\78\0\118\132\55\131\33\0\129\73\132\55\131\33\0\132\48\132\55\131\33\0\0\0\0",
	127138, "\129\5\132\55\131\78\0\119\132\55\131\33\0\129\74\132\55\131\33\0\132\49\132\55\131\33\0\0\0\0",
	128748, "\53\131\80\0\99\131\35\0\129\54\131\35\0\132\29\131\35\0\0\0\0",
	130357, "\125\132\56\131\80\0\111\132\56\131\35\0\129\66\132\56\131\35\0\132\41\132\56\131\35\0\0\0\0",
	131966, "\126\132\56\131\80\0\112\132\56\131\35\0\129\67\132\56\131\35\0\132\42\132\56\131\35\0\0\0\0",
	133576, "\127\132\56\131\80\0\113\132\56\131\35\0\129\68\132\56\131\35\0\132\43\132\56\131\35\0\0\0\0",
	135185, "\129\0\132\56\131\80\0\114\132\56\131\35\0\129\69\132\56\131\35\0\132\44\132\56\131\35\0\0\0\0",
	136794, "\129\1\132\56\131\80\0\115\132\56\131\35\0\129\70\132\56\131\35\0\132\45\132\56\131\35\0\0\0\0",
	138404, "\129\2\132\56\131\80\0\116\132\56\131\35\0\129\71\132\56\131\35\0\132\46\132\56\131\35\0\0\0\0",
	140013, "\129\3\132\56\131\80\0\117\132\56\131\35\0\129\72\132\56\131\35\0\132\47\132\56\131\35\0\0\0\0",
	141622, "\129\4\132\56\131\80\0\118\132\56\131\35\0\129\73\132\56\131\35\0\132\48\132\56\131\35\0\0\0\0",
	143232, "\129\5\132\56\131\80\0\119\132\56\131\35\0\129\74\132\56\131\35\0\132\49\132\56\131\35\0\0\0\0",
	144841, "\57\131\82\0\103\131\37\0\129\58\131\37\0\132\33\131\37\0\0\0\0",
	146450, "\125\132\57\131\82\0\111\132\57\131\37\0\129\66\132\57\131\37\0\132\41\132\57\131\37\0\0\0\0",
	148060, "\126\132\57\131\82\0\112\132\57\131\37\0\129\67\132\57\131\37\0\132\42\132\57\131\37\0\0\0\0",
	149669, "\127\132\57\131\82\0\113\132\57\131\37\0\129\68\132\57\131\37\0\132\43\132\57\131\37\0\0\0\0",
	151278, "\129\0\132\57\131\82\0\114\132\57\131\37\0\129\69\132\57\131\37\0\132\44\132\57\131\37\0\0\0\0",
	152888, "\129\1\132\57\131\82\0\115\132\57\131\37\0\129\70\132\57\131\37\0\132\45\132\57\131\37\0\0\0\0",
	154497, "\129\2\132\57\131\82\0\116\132\57\131\37\0\129\71\132\57\131\37\0\132\46\132\57\131\37\0\0\0\0",
	156106, "\129\3\132\57\131\82\0\117\132\57\131\37\0\129\72\132\57\131\37\0\132\47\132\57\131\37\0\0\0\0",
	157716, "\129\4\132\57\131\82\0\118\132\57\131\37\0\129\73\132\57\131\37\0\132\48\132\57\131\37\0\0\0\0",
	159325, "\129\5\132\57\131\82\0\119\132\57\131\37\0\129\74\132\57\131\37\0\132\49\132\57\131\37\0\0\0\0",
	160934, "\16\131\57\0\62\131\12\0\129\17\131\12\0\131\120\131\12\0\0\0\0",
	177028, "\16\129\6\131\93\0\62\129\6\131\47\0\129\17\129\6\131\47\0\131\120\129\6\131\47\0\0\0\0",
	193121, "\16\129\7\131\94\0\62\129\7\131\48\0\129\17\129\7\131\48\0\131\120\129\7\131\48\0\0\0\0",
	209215, "\16\129\8\131\95\0\62\129\8\131\49\0\129\17\129\8\131\49\0\131\120\129\8\131\49\0\0\0\0",
	225308, "\16\129\9\131\96\0\62\129\9\131\50\0\129\17\129\9\131\50\0\131\120\129\9\131\50\0\0\0\0",
	241402, "\16\129\10\131\97\0\62\129\10\131\51\0\129\17\129\10\131\51\0\131\120\129\10\131\51\0\0\0\0",
	257495, "\16\129\11\131\98\0\62\129\11\131\52\0\129\17\129\11\131\52\0\131\120\129\11\131\52\0\0\0\0",
	273588, "\16\129\12\131\99\0\62\129\12\131\53\0\129\17\129\12\131\53\0\131\120\129\12\131\53\0\0\0\0",
	289682, "\16\129\13\131\100\0\62\129\13\131\54\0\129\17\129\13\131\54\0\131\120\129\13\131\54\0\0\0\0",
	305775, "\16\129\14\131\101\0\62\129\14\131\55\0\129\17\129\14\131\55\0\131\120\129\14\131\55\0\0\0\0",
	321869, "\30\131\57\0\76\131\12\0\129\31\131\12\0\132\6\131\12\0\0\0\0",
	337962, "\30\129\6\131\93\0\76\129\6\131\47\0\129\31\129\6\131\47\0\132\6\129\6\131\47\0\0\0\0",
	354056, "\30\129\7\131\94\0\76\129\7\131\48\0\129\31\129\7\131\48\0\132\6\129\7\131\48\0\0\0\0",
	370149, "\30\129\8\131\95\0\76\129\8\131\49\0\129\31\129\8\131\49\0\132\6\129\8\131\49\0\0\0\0",
	386243, "\30\129\9\131\96\0\76\129\9\131\50\0\129\31\129\9\131\50\0\132\6\129\9\131\50\0\0\0\0",
	402336, "\30\129\10\131\97\0\76\129\10\131\51\0\129\31\129\10\131\51\0\132\6\129\10\131\51\0\0\0\0",
	418429, "\30\129\11\131\98\0\76\129\11\131\52\0\129\31\129\11\131\52\0\132\6\129\11\131\52\0\0\0\0",
	434523, "\30\129\12\131\99\0\76\129\12\131\53\0\129\31\129\12\131\53\0\132\6\129\12\131\53\0\0\0\0",
	450616, "\30\129\13\131\100\0\76\129\13\131\54\0\129\31\129\13\131\54\0\132\6\129\13\131\54\0\0\0\0",
	466710, "\30\129\14\131\101\0\76\129\14\131\55\0\129\31\129\14\131\55\0\132\6\129\14\131\55\0\0\0\0",
	482803, "\34\131\57\0\80\131\12\0\129\35\131\12\0\132\10\131\12\0\0\0\0",
	498897, "\34\129\6\131\93\0\80\129\6\131\47\0\129\35\129\6\131\47\0\132\10\129\6\131\47\0\0\0\0",
	514990, "\34\129\7\131\94\0\80\129\7\131\48\0\129\35\129\7\131\48\0\132\10\129\7\131\48\0\0\0\0",
	531084, "\34\129\8\131\95\0\80\129\8\131\49\0\129\35\129\8\131\49\0\132\10\129\8\131\49\0\0\0\0",
	547177, "\34\129\9\131\96\0\80\129\9\131\50\0\129\35\129\9\131\50\0\132\10\129\9\131\50\0\0\0\0",
	563270, "\34\129\10\131\97\0\80\129\10\131\51\0\129\35\129\10\131\51\0\132\10\129\10\131\51\0\0\0\0",
	579364, "\34\129\11\131\98\0\80\129\11\131\52\0\129\35\129\11\131\52\0\132\10\129\11\131\52\0\0\0\0",
	595457, "\34\129\12\131\99\0\80\129\12\131\53\0\129\35\129\12\131\53\0\132\10\129\12\131\53\0\0\0\0",
	611551, "\34\129\13\131\100\0\80\129\13\131\54\0\129\35\129\13\131\54\0\132\10\129\13\131\54\0\0\0\0",
	627644, "\34\129\14\131\101\0\80\129\14\131\55\0\129\35\129\14\131\55\0\132\10\129\14\131\55\0\0\0\0",
	643738, "\38\131\57\0\84\131\12\0\129\39\131\12\0\132\14\131\12\0\0\0\0",
	659831, "\38\129\6\131\93\0\84\129\6\131\47\0\129\39\129\6\131\47\0\132\14\129\6\131\47\0\0\0\0",
	675924, "\38\129\7\131\94\0\84\129\7\131\48\0\129\39\129\7\131\48\0\132\14\129\7\131\48\0\0\0\0",
	692018, "\38\129\8\131\95\0\84\129\8\131\49\0\129\39\129\8\131\49\0\132\14\129\8\131\49\0\0\0\0",
	708111, "\38\129\9\131\96\0\84\129\9\131\50\0\129\39\129\9\131\50\0\132\14\129\9\131\50\0\0\0\0",
	724205, "\38\129\10\131\97\0\84\129\10\131\51\0\129\39\129\10\131\51\0\132\14\129\10\131\51\0\0\0\0",
	740298, "\38\129\11\131\98\0\84\129\11\131\52\0\129\39\129\11\131\52\0\132\14\129\11\131\52\0\0\0\0",
	756392, "\38\129\12\131\99\0\84\129\12\131\53\0\129\39\129\12\131\53\0\132\14\129\12\131\53\0\0\0\0",
	772485, "\38\129\13\131\100\0\84\129\13\131\54\0\129\39\129\13\131\54\0\132\14\129\13\131\54\0\0\0\0",
	788579, "\38\129\14\131\101\0\84\129\14\131\55\0\129\39\129\14\131\55\0\132\14\129\14\131\55\0\0\0\0",
	804672, "\42\131\57\0\88\131\12\0\129\43\131\12\0\132\18\131\12\0\0\0\0",
	820765, "\123\131\102\131\83\0\109\131\102\131\38\0\129\64\131\102\131\38\0\132\39\131\102\131\38\0\0\0\0",
}

ordinals = {
	{L"1st", nil, nil},
	{L"2nd", nil, nil},
	{L"3rd", nil, nil},
	{L"4th", nil, nil},
	{L"5th", nil, nil},
	{L"6th", nil, nil},
	{L"7th", nil, nil},
	{L"8th", nil, nil},
	{L"9th", nil, nil},
	{L"10th", nil, nil},
	{L"11th", nil, nil},
	{L"12th", nil, nil},
	{L"13th", nil, nil},
	{L"14th", nil, nil},
	{L"15th", nil, nil},
	{L"16th", nil, nil},
	{L"17th", nil, nil},
	{L"18th", nil, nil},
	{L"19th", nil, nil},
	{L"20th", nil, nil},
}

